
===========================================================================
MARK: released AqBanking - 3.4.2 (2008-05-27)
===========================================================================


2008/05/27: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- aqhbci-tool: Now calls GWEN_Init()
- imexporters/dtaus: implemented export function
- parsers/dtaus/README: documented params used from profile files
- parsers/dtaus/dtaus-export.c: also check for group name "transaction"
- updated German bankinfo files


===========================================================================
MARK: released AqBanking - 3.4.1 (2008-04-25)
===========================================================================


2008/04/25: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- imexporter.{c,h}: added some more convenience functions
  - AqHBCI:
    - added argument AH_IMEXPORTER_CONTEXT to AH_Job_Exchange() function
    - transfer jobs now add transactions (with status) to the IMEXPORTER 
      context
    - fixed jobsingletransfer.c (was not working correctly when transaction
      limits were missing)
- fixed a problem in the SWIFT importer (was not accepting some weird
  formatted SWIFT MT940 files)
- decreased verbosity
- added function AB_Banking_GetVersion()


===========================================================================
MARK: released AqBanking - 3.4.0 (2008-04-22)
===========================================================================


2008/04/14: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- use GWEN's plugin framework for BANKINFO plugins, too. This makes them
  also subject to static preloading if needed
- completed aqbanking_plugins.c


2008/04/13: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- removed backends AqDTAUS, AqGeldKarte and AqYellowNet since they haven't
  been ported anyway
- configure.ac:
  - removed unneeded lines and checks
  - added options to specify which plugins to build
  - added option to disable dynamic plugin loading (as needed for static-only 
    builds)
- src/plugins/*: build convenience libraries against which the plugins are
  linked. This allows for static linking of the plugins
- src/plugins/backends/aqhbci/: removed media folder (isn't used anyway)
- src/plugins/imexporters: removed eri importer (was not built anyway since
  there is eri2)
- imexporter plugins are now real GWEN plugins (this makes them available
  for static linking, no need to resolve symbols in AqBanking)


2008/04/09: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in SWIFT parser: Was too strict for some files (did accept 
  neither "{HMAC:" nor "{CHK:" as valid block introductions)


2008/03/31: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug (was trying to build the qt-related tutorial even if qt wasn't
  desired)


2008/03/17: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in OFX parser: Now also imports investment accounts


===========================================================================
MARK: released AqBanking - 3.3.0 (2008-03-16)
===========================================================================


2008/03/16: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- moved unfinished code for RDH2 to its own branch


2008/03/13: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqHBCI:
  - fixed a bug in aqhbci-tool (was using a keyinfo after closing the
    CryptToken
  - added mandatory option "-N" to "aqhbci-tool3 adduser"
  - always use exponent 65537 when creating keys (as required by the specs)


2008/03/07: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added OrgaMon as supporting application


2008/03/06: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqHBCI: ignore result of AH_User_SetPinStatus() when notifying the
  application about the status of a TAN.


2008/03/04: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- export function AB_Banking_GetUniqueId() to backends


2008/03/03: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in AH_Provider_GetServerKeys() which occurred when a server
  does not send a sign key (some servers don't sign their own messages so they
  don't need a signature key)


2008/02/29: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- SWIFT MT940 parser: 
  - fixed a bug (was not setting the transactionKey because
    of a typo)
  - introduced a workaround for banks which send a valuta date of Feb 30
    (in this case they actually mean the last day of Feb, so we follow
    this logic)
  - use date from tag 60F as a default date for new transactions
- added new folder for CryptToken plugins provided by AqBanking
- started working on a plugin for RDH2 keyfiles (not finished)


2008/02/19: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqHBCI: 
  - added some more options to aqhbci-tool to allow for pinfiles to be used
    and to select the character set


2008/02/15: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed some memory leaks in AqHBCI (user.c)
- reactivated src/libs/aqbanking/httpsession.c: It is now an extension
  of the new GWEN_HTTP_SESSION
- moved administration of CryptToken lists from AqHBCI to AqBanking.
  This allows for new backends using GWEN_CryptTokens without having to 
  duplicate code which already worked in AqHBCI.
- AqHBCI: 
  - call GWEN_Text_CondenseBuffer() in jobsingletransfer.c to remove
    trailing blanks from purpose lines and remote names
  - call GWEN_MsgEngine_SetEscapeChar() to '?' (as required by HBCI)


2008/02/12: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- applied a patch to QBanking by Thomas Baumgart which improves the 
  pickStartDate dialog


2008/02/11: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a minor bug in QBPickStartDate
- CSV exporter is now able to export noted transactions as well


===========================================================================
MARK: released AqBanking - 3.2.1 (2008-02-08)
===========================================================================


2008/02/08: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- OFX parser: fixed parsing of STMTRN (now ignores any unknown element and
  handles it as an unknown data element instead of an unknown group.
- AqHBCI user wizard: now automatically set the NO_BASE64 flag for 
  "Dt. Apotheker- und Aerztebank"


2008/01/29: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqHBCI: 
  - fixed HISAL(6)


===========================================================================
MARK: released AqBanking - 3.2.0 (2008-01-29)
===========================================================================


2008/01/29: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqHBCI: 
  - added user flags NO_BASE64 to disable BASE64 encoding of outbound
    messages. This might solve the problem with some banks (namely the APO 
    bank)
  - added functions: 
    - AH_User_GetHttpContentType()
    - AH_User_SetHttpContentType()
  - AqBanking now works with the Apobank, too!
  - got a first dialog exchange in FinTS3 (nothing special, but the basic
    exchange worked!)
  - getting account lists now works in FinTS3
  - bank messages received are now added to the imexporter context
  - accept even more result codes as 0010 for transfers (one of my banks
    even uses the code 0000 as a success-flag)
  - changed the way supported tan methods are stored, so now we are able
    to accept each and every tan method reported by the bank
  - fixed a bug in AH_Result_dup()
  - added FinTS3 segment versions for some jobs
- AqHBCI-QT3 wizard: added a groupbox for special settings to the user
  configuration wizard page. This allows to set some special user flags which
  are needed for some banks (e.g. NO_BASE64 etc).
  This groupbox is only shown if explicitly enabled using a check box.
- added functions:
  - AB_Account_GetIBAN()
  - AB_Account_SetIBAN()
  - AB_Account_GetBIC()
  - AB_Account_SetBIC()
  - AB_ImExporterAccountInfo_GetBic()
  - AB_ImExporterAccountInfo_SetBic()
- added type: AB_MESSAGE. This is used to store messages received from
    a bank
- added message list to imexporter context (for bank messages received)
- decreased verbosity of SWIFT importer
- README: Removed Libofx from the list of required packages


===========================================================================
MARK: released AqBanking - 3.1.1 (2008-01-28)
===========================================================================


2008/01/28: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqHBCI: 
  - in 2-step pin/tan mode we now dispatch the results of a
    HKTAN to all members of the job queue covered by a TAN. This way we
    should catch the results for the original job, too (I hate pin/tan)
  - some more work on FinTS3
- aqhbci-tool: add option "hbciversion" to select the HBCI protocol version
  to be used. If omitted a reasonable default is used.
- AqHBCI-QT3 wizard: added HBCI 3.00 to the list of supported HBCI versions
  (we still don't support 3.00 but we are going to)


2008/01/26: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- removed include of libofx header


===========================================================================
MARK: released AqBanking - 3.1.0 (2008-01-25)
===========================================================================


2008/01/25: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- ofx importer: importing securities now basically works


2008/01/22: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added a field for the HTTP version to the HBCI user edit dialog
- hbci code now uses the values stored in AH_USER concerning the HTTP version


2008/01/18: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- started implementing securities (e.g. stock, mutual fund etc)
- add seconds to timespecs in OFX DC requests
- AB_TRANSACTION:
  - changed type of field "units" from int to AB_VALUE
  - added fields "unitId" and "unitIdNameSpace"
  - added field "commission"


2008/01/15: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- OFX: improved handling of SONRS (accept some INTU.* fields as well)
- CSV: added im-/exporter profile for VR NetWorld


2008/01/12: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- tried a new approach for print dialog (still, my QT always prints the
  last page twice when printing to PS and doesn't print at all to real
  printers). I don't know why that is, because the print routine is the
  same as in the QT examples :-/
- fixed importer for YellowNet files


2008/01/10: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- started working on a new OFX request creation module which is part of
  AqOFXConnect. It is now already able to request a list of accounts and
  account statements from the bank server.
  So now we no longer need LibOFX
- removed dependency on LibOFX


2008/01/09: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in AB_ImExporterAccountInfo_GetNextAccountStatus(): Was
  unlinking an account status
- started working on an internal OFX parser:
  This parser only uses functions from Gwenhywfar so libofx is not needed
  for simple importation.
  This importer now imports balances correctly (the old one did not import
  balances at all).

  Advantages of this new parser:
  - translatable OFX error messages
  - fewer dependencies (no need for LibOFX, OpenSP and LibXML)
  - uses dynamic buffers internally, so there is in theory no limit on the
    size of OFX elements
  - full integration into AqBanking
- accstatus.c: added some checks to setter functions
- AqHBCI: JobGetBalance now sets the date/time in AccountStatus as well
- OFX parser: implemented containers for account info responses
- unconditionally build OFX plugin (because we only need Gwenhywfar for this
  plugin and gwen is a requirement for ABanking itself)
- updated po files (there are now about 100 new messages from the OFX plugin)
- added function AB_Balance_SetValue()


2008/01/05: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a double free in imexporter/ofx.c


2007/12/07: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- removed functions again:
  - AB_Value_Canonicalize()
  - AB_Value_GetNumerator()
  - AB_Value_GetDenominator()


2007/12/06: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added function AB_Value_Canonicalize()


2007/12/05: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added functions AB_Value_GetNumerator() and AB_Value_GetDenominator()
- added function AB_Value_GetNumDenomString()


2007/12/03: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqHBCI: When an SSL connection (PIN/TAN) fails because the server
  shows an error we now log more information (e.g. the content of the
  "Location:" header for error codes 301, 303, 305 and 307)


===========================================================================
MARK: released AqBanking - 3.0.1 (2007-11-27)
===========================================================================


2007/11/27: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a serious bug in Pin/Tan: Was not constructing the password
  name correctly, so multiple pin/tan users could not be distinguished


2007/11/26: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- bankinfo.xml: added fields aux3 and aux4 to be used by OFX DC


2007/11/24: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- removed misleading error message in de.c


===========================================================================
MARK: released AqBanking - 3.0.0 (2007-11-22)
===========================================================================


2007/11/19: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed two bugs in AqHBCI
- update specfile
- fixed LibOFX version detection code
- no longer install libaqbanking++


===========================================================================
MARK: released AqBanking - 2.9.17rc5 (2007-11-17)
===========================================================================


2007/11/17: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in ktoblzcheck-related code
- simplified default settings for local installation mode (and WIN32)


===========================================================================
MARK: released AqBanking - 2.9.16rc4 (2007-11-14)
===========================================================================


2007/11/14: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- configure.ac: added --with-locale-searchdir


2007/11/13: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- moved password and cert cache from QGui to CppGui
- moved print dialog stuff from QGui to QBGui. Now the class QGui is
  independent of QBanking again and can thus be used in other projects
  as well
- AqHBCI:
  - fixed autodetection code for SSLv3-only servers


===========================================================================
MARK: released AqBanking - 2.9.15rc3 (2007-11-13)
===========================================================================


2007/11/13: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqHBCI:
  - AH_Dialog_RecvMessage_Https() now checks for the size of the received
    HBCI message (this has become necessary because we ignore some IO errors
    now to support some otherwise problematic servers)


2007/11/12: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqHBCI:
  - AH_Dialog_RecvMessage_Https_read() is now more tolerant when receiving
    an error: If in this case there is any data in the buffer we still try
    to use that data received (because GnuTLS seems to have problems with at 
    least one server otherwise)
  - AH_Msg_VerifyRdh() does not report an error if the message was not
    properly signed. This is checked later by AH_Job_CheckSignature() so no
    need to bail out so soon.
  - no longer check signature in Pin/Tan mode since there is none


===========================================================================
MARK: released AqBanking - 2.9.14rc2 (2007-11-11)
===========================================================================


2007/11/11: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqHBCI
  - AH_Dialog_SendPacket_Https() now always retries to connect with a 
    different setting for AH_USER_FLAGS_FORCE_SSL3.
    The result is that AqHBCI manages this flag itself.
  - removed misleading tooltips from ActionWidget


2007/11/10: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- workaround for bug in HBCI server implementations: Some servers
  return the hash method "0" which means "no hash supported" when they
  really mean "1" (RIPE MD160). So now we assume "1" if we encounter "0".
  This makes wire transfers work again with Netbank in Pin/Tan mode


===========================================================================
MARK: released AqBanking - 2.9.13rc1 (2007-11-09)
===========================================================================


2007/11/08: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- aqhbci-tool: added command "getcert" which requests the servers SSL
  certificate
- AB_Banking: 
  - now activates all available backends upon init
  - marked functions for activating and deactivating backends as
    deprecated


===========================================================================
MARK: released AqBanking - 2.9.12beta (2007-11-07)
===========================================================================


2007/11/07: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed target "srcdoc"
- use same SOVERSION for libaqnone as for libaqbanking


2007/11/04: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in DTAUS exporter


===========================================================================
MARK: released AqBanking - 2.9.11beta (2007-11-03)
===========================================================================


2007/11/03: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed default path of XML file for tool hbcixml
- only install aqbanking-config, removed the other *-config files.
  aqbanking-config now contains the settings for QBanking and AqHBCI as
  well.
- AqHBCI: Is more tolerant now when checking for the name of a signer
  because the security does not come from the signer name but from the
  correctness of the signature which is checked nonetheless.


===========================================================================
MARK: released AqBanking - 2.9.10beta (2007-11-02)
===========================================================================


2007/11/02: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- function AH_Provider_GetCert() now retries to connect to a server with
  the flag AH_USER_FLAGS_FORCE_SSL3 if it didn't work without it


===========================================================================
MARK: released AqBanking - 2.9.9beta (2007-10-31)
===========================================================================


2007/10/30: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed I18N (now QBanking is also able to translate again)
- fixed AqHBCI wizard: 
  - creating a keyfile now works
  - creating a PIN/TAN user works
  - importing a user works
- fixed RDH mode (is now able to ignore a missing public sign key and a
  missing system id)
- updated German bank info data
- fixed a bug in tool mkdeinfo
- fixed a bug in generic bankinfo module (was not closing files)
- adapted code for reading US bank info to allow reading the latest version 
  of Jeremy Jongsma's data files
- updated US bank info data
- added bank info files for Canada (only 30 banks for now, derived from
  the MS-Money files)


===========================================================================
MARK: released AqBanking - 2.9.8beta (2007-10-30)
===========================================================================


2007/10/29: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added missing files to EXTRA_DIST


===========================================================================
MARK: released AqBanking - 2.9.7beta (2007-10-28)
===========================================================================


2007/10/28: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqOfxConnect: added some fields to AO_User:
  - appid     (default: QWIN)
  - appver    (default: 1400)
  - headerVer (default: 102)
  These might become helpfull in solving the problem of new header versions.
- AqHBCI: fixed URL problem


===========================================================================
MARK: released AqBanking - 2.9.6beta (2007-10-27)
===========================================================================


2007/10/27: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- re-enabled AqOfxConnect and adapted it to the latest changes.
  However, since the OFX DC test server seems to be gone I can't test it.
- plugin lists are now global. In fact they have always been global, since you
  cannot load the same plugin more than once so it only makes sense to make
  the lists in AqBanking global as well (as they are in gwenhywfar for the
  same reason)
- adjusted some of the APIDOC to reflect the new API (not finished, though)
- libofx provides a pkgconfig file, so use that instead of handling the
  gory details ourselves
- removed currently uncompilable backends from default list to simplify
  the building process
- aqofxconnect: adjusted to latest LibOFX CVS while still keeping source
  compatibility with latest released version of Libofx
- imexporter "ofx" now makes use of the function libofx_set_dtd_dir()
  if possible (looks up the folder in which DTD files are stored and
  sets this in libofx to allow for local installation as needed for WIN32)
- use the I18N functions of gwen, no need for each individual DLL to link
  against libintl
- AqHBCI admin functions now correctly open a progress window


2007/10/26: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- !!!!!!!!!!!!!!!!!!!!!!!!!!   IMPORTANT CHANGE  !!!!!!!!!!!!!!!!!!!!!!!!!!!!
  ---------------------------------------------------------------------------
  AqBanking now uses the folder "$HOME/.aqbanking" on Linux and
  "$HOME/aqbanking" on Windows.
  This is to avoid the new version destroying/modifying data of old versions
  of AqBanking. It has the nice side effect of allowing for multiple 
  generations of AqBanking to be used in parallel.
- introduced local installation mode:
  This can be used on Linux (on Windows this mode is always used since we
  need relocatable files there).
  Normally on Linux this project is installed to a well defined prefix and
  in respect to the FHS.
  However, it might sometimes be interesting to be able to have a relocatable
  version of AqBanking, too. That is AqBanking looks for its data files and
  plugins in folders below the location of the called executable (using
  binreloc).
- set io layer flag GWEN_IO_LAYER_TLS_FLAGS_ALLOW_V1_CA_CRT for TLS in
  pin/tan connections because some servers still use those certs
- added flag for AH_USER: AH_USER_FLAGS_FORCE_SSL3.
  This is used to force the use of SSLv3 in Pin/Tan mode. This is needed for
  connections to the NetBank.
- added configuration checkbox for the new flag
- increased maximum length of pin in pin/tan mode
- removed remaining references to deprecated Gwenhywfar modules


2007/10/25: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- enabled the tutorials
- worked on re-enabling the AqHBCI wizard (importing a DDV card and
  OpenHBCI key file now works)
- added class QBGui(), and extension of QGui() but with support for the
  getPassword() function and certificate management
- added CSV profile for "Steiermaerkische Sparkasse (AT)" provided by 
  Christian Pontesegger
- fixed imexporter for SWIFT (now works with AMRO files again)


===========================================================================
MARK: released AqBanking - 2.9.5beta (2007-10-25)
===========================================================================


2007/10/25: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added missing file to "make dist" target


===========================================================================
MARK: released AqBanking - 2.9.4beta (2007-10-24)
===========================================================================


2007/10/24: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AB_Banking_Init() is now split internally. There now is a global part which
  is used with all AB_BANKING object (plugin managers, path managers etc)
  and a local part which inits/deinits the AB_BANKING object.
  This allows for multiple AB_BANKING objects to be used independently (but
  only for non-online stuff, or if every object uses a different configuration
  for online banking, since otherwise the objects would overwrite each other's
  changes)


2007/10/23: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqBanking now cross-compiles for WIN32 using mingw32 on Debian.
  The resulting binaries work on Windows XP :-)


2007/10/22: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed log analyzer of aqhbci-qt3-debugger


2007/10/20: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- re-enabled AqHBCI QT wizard (does not work yet, but it already
  compiles)


2007/10/12: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- removed remaining references to old crypto stuff in gwen


2007/10/07: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- forced using SSL3 in dialog_https.c (HBCI), because at least the netbank
  does not seem to allow SSLv1 (maybe they allow SSLv2, but anyway, I will
  have to make that a configurable option later)


2007/09/27: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- re-implemented print() function (used to be implemented in class QBanking
  but that function is now part of GWEN_GUI and derived classes, so this
  functionality had to be moved, too)


2007/09/22: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqHBCI: implemented pin/tan (works now)
- QBanking: added missing virtual gui function to c++ gui class
- fixed backend AqNone


2007/09/21: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqHBCI:
  - now uses new CryptToken framework of recent Gwenhywfar
  - removed AH_MEDIUM, AH_MEDIUM_CONTEXT and all related functions
  -> DDV and RDH already work!


2007/09/18: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqHBCI:
  - prepared transition from old CryptToken framework to new one



===========================================================================
MARK: released AqBanking - 2.9.3beta (2007-09-11)
===========================================================================


2007/09/05: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- numerous fixes, HBCI now works (DDV, RDH and PINTAN)


2007/08/11: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- even more work on porting... Now at least AqBanking, the IO plugins and
  AqHBCI compile without errors (PinTan not yet reimplemented)


2007-08-04  Christian Stimming  <stimming@tuhh.de>

	* src/tools/aqbanking-tool/debitnote.c: Add more verbose error
	message on failed account number check.

	* src/plugins/parsers/dtaus/dtaus-export.c: Improve error handling
	of dtaus export as used on debitnotes: Immediately abort when
	words are too long.


2007/07/25: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- more work on porting AqHBCI to Gwen3 (not finished yet)


2007-07-08  Christian Stimming  <stimming@tuhh.de>

	* src/plugins/backends/aqhbci/plugin/msglayer/hbci_p.h,
	src/frontends/qbanking/lib/qbanking.cpp: Have aqhbci and qbanking
	registry paths be registered below Software\AqBanking as well.

2007-06-24  Christian Stimming  <stimming@tuhh.de>

	* src/plugins/backends/aqofxconnect/plugin/context.c: Make
	ofxconnect plugin much less verbose during normal operation.


2007-06-20  Christian Stimming  <stimming@tuhh.de>

	* src/frontends/qbanking/lib/qbanking.cpp: For qt4 (win32, unix)
	add and install a QTranslator override class because the standard
	QTranslator will no longer work for us as desired.

	* src/libs/aqbanking/banking.c: For win32, add registry lookup for
	locale path.


2007-06-17  Andreas Koehler  <andi5.py@gmx.net>

	* m4/searchfiles.m4: When searching for files and choosing the
	path separator, examine $build instead of $host.

	* m4/os.m4: Replace all target tests by ones for the host system
	type.  Host and target would only differ if we were about to build
	a cross-compiler, but using host is more precise nonetheless.

	* configure.ac: Use AC_CANONICAL_BUILD and _HOST, but not _TARGET


2007-06-17  Christian Stimming  <stimming@tuhh.de>

	* src/frontends/qbanking/lib/qbanking.cpp: Path lookup of i18n
	files now uses the DATADIR of the aqbanking path manager instead
	of a hard-coded path.


2007-06-09  Christian Stimming  <stimming@tuhh.de>

	* src/libs/aqbanking/banking.c: Fix wizard path lookup on
	windows. Use the GWEN_PathManager so that on windows the registry
	path is used on windows instead of a hard-coded path.


2007/06/01: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- improved evaluation of HBCI status codes for transfer jobs (some banks send
  17 instead of 10 or 20 in response to a transfer request)


2007/05/21: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed prototype of AB_Value_new(): As it turned out having an empty
  argument list makes gcc believe it can accept any numbers of arguments 
  here?!?
  Defining it explicitly as AB_Value_new(void) now catches the cases where
  still the previous argument list was used troughout the code (e.g. the one
  which took a double as argument).


2007/05/16: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- moved to new server


2007/05/14: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- function AH_Job_CheckEncryption() always returns OK for PIN/TAN mode (since
  there really isn't anything to check in PIN/TAN mode)
- decreased verbosity of AqHBCI message engine in debug mode


===========================================================================
MARK: released AqBanking - 2.9.2beta (2007-05-14)
===========================================================================


2007/05/13: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- no longer install *_l.h files
- added missing file to header install list


2007/05/12: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added list function definitions for AB_VALUE
- added job AB_JOB_LOADCELLPHONE (supports loading prepaid cards via backends,
  currently HBCI only)
- added missing calls to AB_Banking_OnlineInit() and AB_Banking_OnlineFini() 
  to aqhbci-tool
- added tutorial4 which tries to load the prepaid card for a cell phone


2007/05/05: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- did some work on EU transfers. Unfortunately my bank replies with
  "missing bank code" even if I provide the IBAN (so there should be no
  bank code)... This sucks, but I have no other means to test this so for
  now the EU transfers are still broken.


2007/05/02: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- adapted to latest changes in Libchipcard3.1 (soon to become Libchipcard4)
- fixed a bug in value.c: Was not honouring minus sign after latest changes!


2007/04/30: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed DTAUS importer (was not calculating checksums correctly after
  moving from double-based values to gmp-based ones (thanks to Mathias from
  HQ GmbH for reporting)


2007-04-26  Christian Stimming  <stimming@tuhh.de>

	* src/libs/aqbanking/banking.c: Fix crash if account number or
	bank code was NULL; could happen if the user entered a
	non-numerical value. Gnucash bug#433594.


2007/04/25: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in AqBanking's init code (was registering plugin manager
  after adding paths)


2007/04/19: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- started implementing FinTS3 in AqHBCI:
  - XML: Added description of generic BPD jobs (version 2)
  - added AH_Job_GetSecurityProfile()
  - added rdh type (is now used to determine which RDH mode is used,
    e.g. RDH1, RDH2 etc)


2007/04/05: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- README: Added GMP as a dependency


===========================================================================
MARK: released AqBanking - 2.9.1beta (2007-04-04)
===========================================================================


2007/04/04: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in QT3-wizard: Was not initializing online banking stuff
- fixed another bug in QT3-wizard: Was not initializing GWEN_GUI stuff
- fixed a bug in frontend qbanking: Now uses correct order for module 
  registration
- moved qgui stuff to frontend/qbanking/lib and export it (this makes it
  accessible by QBanking)


===========================================================================
MARK: released AqBanking - 2.9.0beta (2007-04-03)
===========================================================================


2007/04/03: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- applied 2 patches from Patrick Prasse: add command "addaccount" to
  aqhbci-tool and add the ability to log noted MT942 to a file
- updated German bankinfo files


2007-03-05  Christian Stimming  <stimming@tuhh.de>

	* src/libs/aqbanking/types/transactionfns.h: Add convenience
	function FillLocalFromAccount for easier AB_TRANSACTION
	preparation.

2007-03-04  Christian Stimming  <stimming@tuhh.de>

	* src/frontends/qbanking/lib/dialogs/qbcfgtabpageusers.cpp:
	Eventually, implement the "Remove" button for accounts and users
	in the wizard.

	* src/libs/aqbanking/banking_ob.h: Add function
	AB_Banking_FindFirstAccountOfUser that exposes the first part of
	the DeleteUser function.

2007-03-03  Christian Stimming  <stimming@tuhh.de>

	* src/libs/aqbanking/banking_ob.h: Add functions for DeleteUser
	and DeleteAccounts.

2007-02-20  Christian Stimming  <stimming@tuhh.de>

	* src/plugins/backends/aqhbci/plugin/msglayer/hbci.c: Really
	remove unneeded path escaping to fix windows problems.


2007/02/18: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- removed dispensable path escaping in AqHBCI (should fix the problem with
  "x:" on windows)
- added CSV profile for Helsingin OP Pankki (contributed by Fabian Ritzmann)


2007-02-18  Christian Stimming  <stimming@tuhh.de>

	* src/libs/aqbanking/banking_online.c: Add EXEEXT at wizard path for
	executable extensions on windows.

2007-02-06   Christian Stimming <stimming@tuhh.de>

	* src/plugins/backends/aqofxconnect/*: Add __stdcall function
	decoration on callback functions as needed by gwen>=2.4.1. Add
	forgotten ressource.rc file. Make aqofxconnect plugin compile on
	win32.


2007/01/19: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- adapted AqYellowNet and AqGeldKarte
- clarified COPYRIGHT notice in headers of source files
- AqHBCI: fixed a bug in loganalyzer code


2007/01/16: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed FOX frontend FBanking


2007/01/15: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in QT gui implementation: Now QBankManager works again!!


2007/01/14: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- replaced old style AB_VALUE with a version which internally uses GMP instead
  of double
- DTAUS parser now uses AB_VALUE instead of double (should fix the problems
  we had with some DTAUS records due to rounding errors of double's)
- renamed banking_*.inc to banking_*.c to make CS happy :-)
- fixed some bugs/compile stoppers, disabled aqbanking-tool: Now most of
  AqBanking compiles again
- removed duplicate banking.{h,cpp} from frontend QBanking
- removed frontend KBanking (it internally used QBanking anyway)
- removed frontend G2Banking (was only to be used by the project "Grisbi" 
  which seems to have not too much interest in online banking)
- backend AqOfxConnect now compiles again
- backend AqDTAUS now compiles again


2007/01/13: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- split banking.c into multiple files (got too large)
- temporarily disabled tutorials
- added test program to tutorials folder which tests the QT frontend with
  AqHBCI (qtfrontend.cpp)
  -> I was able to retrieve my account balance for an HBCI PIN/TAN account
  for the first time with this branch!


2007/01/12: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added 2nd implementation of GWEN_GUI: This implementation uses QT for
  user interaction. The GUI code itself does not depend on AqBanking or
  the QT frontend QBanking, it can therefore be used by any QT application
  to provide a GWEN_GUI implementation.
  Because GWEN_GUI collects all interaction which was formerly handled by
  multiple methods (like GWEN_WaitCallbacks, GWEN_CryptManager and the
  various callbacks of AqBanking) there is only a single place left where
  user interaction is to be caught by an application. So by using the QT GUI
  stuff an application also catches all interaction from GWEN's and 
  AqBanking's plugins.
- removed cbanking frontend altogether, because it is no longer needed
  (there no longer are user interaction callbacks in AqBanking, and there
  already is a console gui in Gwenhywfar)
- AqHBCI backend and QBanking frontend now compile


2007/01/10: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- applied a patch by Christian Lupien to AO_Context_Update(): Now also sets 
  the correct account types for other types than bank account
- many plugins can be compiled again:
  - all bankinfo plugins
  - all parser plugins
  - all imexporter plugins
  - AqHBCI


2007/01/09: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- adapted console frontend to gwen3 (not tested, though)


2007/01/07: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- removed src/libs/aqbanking/wcb*.{c,h} from svn
- removed job queues/list from from AB_BANKING: Now the application has
  to manage these lists themselves. But because they are seldomly needed
  (I didn't use them in two of my applications, and GnuCash/KMyMoney also do
  not use them, so it is safe to say they are not needed)
- without this need we can now remove AB_Job_fromDb and _toDb (which again
  simplifies AqBanking)
- started removing simple API, because it is based on AqBanking's ability
  to manage a job queue itself (which AqBanking no longer does)
- removed all remaining virtual functions from AB_BANKING. 
  The handling of bad pins has been removed, too. Applications like GnuCash
  never used it and it should rather be a feature of an application anyway.


2007/01/04: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- restructured error codes: Many of the codes used in AqBanking already exist
  in Gwenhywfar, so we now just extend Gwenhywfar's error codes
- removed usage of WaitCallbacks
- removed user interactive callbacks (are now handled by Gwenhywfar)


===========================================================================
MARK: started working on aqbanking3 (2007/01/04)
===========================================================================


2006/12/29: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in qt3.m4: Was checking for "Darwin", not for "darwin". Qt3
  should now be found even on that system (pointed out by Marc Andre Selig)


===========================================================================
MARK: released AqBanking - 2.2.4 (2006-12-27)
===========================================================================


2006/12/27: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- updated German bankinfo files
- ported AqGeldKarte to Libchipcard3
- AqGeldKarte: Now uses "loaded" instead of "value" from BLOG entries of the
  card when reading transactions
- fixed specfile (removed some build dependencies, require Libchipcard3)


2006/12/17: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- applied a patch by Andreas Koehler to make "includedir" available to
  the various *-config scripts


2006-11-22   Christian Stimming <stimming@tuhh.de>

	* src/frontends/qbanking/bin/wizard/qt3_wizard.cpp: Replace last
	fprintf()s by correct DBG_* macros to decrease unnecessary
	verbosity.


2006-11-15   Christian Stimming <stimming@tuhh.de>

	* configure.ac: Define aqbanking_pkgdatadir in terms of $datadir
	as suggested by Fink maintainer David Reiser.


2006/11/03: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- started working on frontend for Fox Toolkit (as needed by one of
  my other projects)


2006/11/02: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- qbanking/qbprinterdialog.cpp: Now always call QPrinter::newPage() at the
  end.


2006/10/30: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- documentation fix
- updated German bankinfo files
- qbanking: fixed a bug (_flags was not initialized) reported by Mike
  Alexander
- fixed m4 files to make them find QT on Darwin, too (as reported by Marc
  Andre Selig)


2006/10/14: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- relaxed limits in HBCI format files
- improved AB_ImExporter_Iso8859_1ToUtf8: No longer stores control characters
  in result buffer
- added SWIFT importer profile for AMRO 940 (in addition to AMRO 942)


2006/10/10: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqHBCI-Tool: mention command "getitanmodes" in help screen


===========================================================================
MARK: released AqBanking - 2.2.3 (2006-10-10)
===========================================================================


2006/10/10: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqHBCI: iTAN now works as expected :-)


===========================================================================
MARK: released AqBanking - 2.2.2beta (2006-10-09)
===========================================================================


2006/10/09: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- src/plugins/parsers/swift: added profile options:
  - "skipFileLines": Number of lines to be skipped at the beginning of a
    file to be importef
  - "skipDocLines": Number of lines to be skipped at the beginning of a
    MT940/1 document (a file may contain multiple MT940/1 docs)
  - added profile for AMRO bank
  - better check function for SWIFT files (only reads until a line with ":20"
    is found in which case the file is supposed to be importable)


2006/10/06: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- src/plugins/parsers/dtaus/dtaus-exports.c: increased hardlimit for size of
  DTAUS file to 256kb (was 64kb)


2006/09/30: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqHBCI: 
  - added methods 901-907 (not supported by specs but some banks
    don't care and use those values anyway)
  - getItanModes: now commit full job instead of iTAN modes only. Should fix
    thw problems with Sparda bank


2006/09/29: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- changed behaviour of the ExecuteQueue functions: If the only problem is
  that not a single job has been executed previous versions returned an
  error. This is disturbing when retrieving iTAN modes, so the special case
  that all jobs contained errors is no longer handled by this routine (e.g.
  in such a case it will return "OK")
- AqHBCI: AH_Provider_GetItanModes now ignores the error state of the job
  (even if the dialog is aborted the job did fine, because the error code
  3920 contains the information the job is to retrieve)


2006-09-19  Christian Stimming  <stimming@tuhh.de>

	* src/libs/aqbanking/banking.c: Show error message when a wrong
	PIN was entered.


2006-09-13  Christian Stimming <stimming@tuhh.de>

	* src/plugins/imexporters/qif: Fix various configuration files so
	that qif import could potentially be tested.


2006-09-11  Christian Stimming <stimming@tuhh.de>

	* configure.ac: Fix gcc version number checking for -fvisibility
	so that it works with gcc2.95 as well.


2006/09/07: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- list the command "iniletter" in help screen of aqhbci-tool


===========================================================================
MARK: released AqBanking - 2.2.1 (2006-08-25)
===========================================================================


2006/08/15: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in DTAUS importer profile "default"


2006-07-24   Christian Stimming <stimming@tuhh.de>

	* src/libs/aqbanking/types/transaction.xml: Fix typos as reported
	by Archimedes Submerged.


2006/07/18: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added aqbanking-tool command "chkiban" which checks whether a given IBAN
  is valid


2006/07/15: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqHBCI: implemented a fix for buggy servers in iTAN mode which use the
  undefined code 900 instead of 990


===========================================================================
MARK: released AqBanking - 2.2.0 (2006-07-13)
===========================================================================


2006/07/12: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqOfxConnect: Fixed a bug in provider.c which could lead to a segfault


2006/07/10: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- generic bankinfo plugin:
  - implemented a mechanism to update bank info files via additional files
  - Germany: Updated HBCI and bank info files (now reads new
    format of Bundesbank files)
  - Austria: 
    - updated BLZ file (now reads new, more extensive format)
    - added OFX server information for BAWAG P.S.K and EasyBank


2006/07/04: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqHBCI:
  - removed functions AH_HBCI_HbciToUtf8() and AH_JobQueue_AddAsUtf8() because
    they are no longer needed since the whole server response is transformed
    to UTF8 -> finally fixes Umlaut problems
  - implemented iTAN process type 2: It now works against the test server,
    tomorrow I will have to test it against a real server


2006-07-03   Christian Stimming <stimming@tuhh.de>

	* Makefile.am: Fix rule srcdoc if directory was not existing, as
	pointed out by Micha Lenk.

	
2006/07/03: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- renamed AH_ImExporter_DbFromIso8859_1ToUtf8() to 
  AB_ImExporter_DbFromIso8859_1ToUtf8() (left old function around but
  marked it deprecated)
- AqHBCI now internally calls AB_ImExporter_DbFromIso8859_1ToUtf8() on each
  response received from the server. This should fix the old Umlaut problems.
- AqHBCI:
  - more work on iTAN: The iTAN mode to be used throughout a dialog is now
    selected automatically by AqHBCI depending on the modes allowed for the
    dialog owner
  - added job AH_Job_GetItanModes
  - added function AH_Provider_GetItanModes
  - added job/queue flags AH_JOB_FLAGS_NOITAN
  - QT3: added button for retrieving the list of supported iTAN modes to
    HBCI user config page
  - started working on iTAN process type 2


2006/06/30: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added support for anonymisation of other segments than HNSHA (as needed
  by HKPAE, changePin, in order to keep the new pin from the log files)


2006/06/29: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- update the VERSION_BUILD number by hand again: Internal code assumes that
  the BUILD version is max 8 bit, but current revision is already more then
  ten bits long...
  PLEASE NOTE: Any change to the subversion repository should be accompanied
  by an increment of the VERSION_BUILD.
- AqHBCI: Started work on support for iTAN:
  - added functions:
    - AH_User_GetTanMethods()
    - AH_User_SetTanMethods()
    - AH_User_AddTanMethods()
    - AH_User_SubTanMethods()
    - AH_User_GetSelectedTanMethod()
    - AH_User_SetSelectedTanMethod()
  - AH_Job_CommitSystemData() now checks for result code 3920 (supported iTAN
    modes), adds supported modes
  - AH_Msg_SignMsg(): set SigHead/function appropriately (Sicherheitsfunktion,
    kodiert)
  - fixed a bug in AH_Msg_ReadMessage(): Was not advancing to next segment
    on parsing error
  -> ITAN process 1 now works with Stefan's test server!


2006/06/22: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- aqyellownet-config --vstring returned broken data. Fixed that.
- added function AB_ImExporterContext_ReadDb()
- added im-/exporter plugin which reads/writes XML files
- let svn write the revision number directly into configure.ac on each 
  svn update. Fixes all problems with using svninfo.


===========================================================================
MARK: released AqBanking - 2.1.0 (2006-06-15)
===========================================================================


2006/06/13: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added textkeydescr to transactionLimits: This allows for descriptions of
  textkeys used by a backend (as needed for Swiss EZAG)


2006/05/29: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- src/plugins/imexporter/yellownet/yellownet.c: 
  - now also reads LNS entries
  - now also reads account currency
- src/libs/imexporter*{c,h}:  
  - added functions AB_ImExporterAccountInfo_GetCurrency() and
    AB_ImExporterAccountInfo_SetCurrency()
- some minor fixes in other importers
- pulled in latest AqYellowNet plugin which now uses the XML files provided
  by PostFinance instead of MT940. This is because it is rather difficult to
  make PostFinance send MT940 reports so we now use the format which is
  supported by them in any case.


2006/05/28: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- frontends/qbanking/lib/dialogs/qbcfgtabpageusergen.cpp:
  - removed an assertion to at least not crash applications in case a bank
    is selected for which no routing number is present


2006-05-26   Christian Stimming <stimming@tuhh.de>

	* aqbanking.pc.in: Add gwenhywfar_includes to CFLAGS because those
	are needed by dependent packages as well due to included gwen
	headers in aqbanking headers.


2006/05/18: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed internal function AB_Banking__FindAccountInfo()


2006/05/17: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added environment variable "AQOFX_LOG_COMM" to log the OFX communication
- AqHBCI: fixed a bug in user page (was not setting the complete URL)
- fixed a problem which prevented Gnucash (and other apps which still use
  the old context-less queue execution code) from receiving account data
  for accounts for which the servers don't send bank ids.
  This problem does not affect QBankManager, KMyMoney or AqBanking-Tool.


2006/05/16: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqOfxConnect: Added a user flag which makes the backend not send the
  FID even if there is one. This is reportedly needed for some banks
  (thanks to David Reiser for pointing it out)


2006/05/15: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- SWIFT parser:
  - added :86: field ?38 (IBAN)
  - fixed field :61: (ignore leading '/' in customer reference)
  - customerReference and bankReference are now correctly imported


2006-05-12  Christian Stimming <stimming@tuhh.de>

	* po/de.po: Improved and reviewed German translation. Now really
	reviewed all strings that were contributed by Jens Koerner on
	2006-01-22, which unfortunately contained quite a number of
	seriosly flawed translations.

	*src/plugins/backends/aqhbci/ui/qt3/libs/dialogs/wizard/iniletter.cpp:
	For the user's ini-letter, show a different explanation than for
	the Bank letter.
	

2006/05/12: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqOfxConnect: Added a user flag which makes the backend not send the
  bank id even if there is one. This is reportedly needed for some banks
  (thanks to David Reiser for pointing it out)


2006/05/11: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added IBAN field to AB_IMEXPORTER_ACCOUNTINFO
- added localIban field to AB_TRANSACTION
- started working on importer for YellowNet XML files
- fixed configure.ac regarding libchipcard2 (reported by Andreas Pakulat)


2006-05-10   Christian Stimming <stimming@tuhh.de>

	* aqbanking.spec.in: Improve spec file as pointed out by Stanislav
	Brabec from SuSE: Remove doubled directory; add entries for base
	directories.

	* configure.ac: Change RELEASE_STRING of svn versions from
	x.y.z-r111 to x.y.z.r111 because tools like rpmbuild do not accept
	a '-' inside the version numbers.


2006/04/16: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in QBanking::inputBox (was not computing maxLen correctly)


2006-04-10  Christian Stimming  <stimming@tuhh.de>

	* src/plugins/backends/aqhbci/plugin/banking/provider.c,
	joblayer/job.c: Mark forgotten strings for translation.


2006-04-08  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: If "svn info" returns an empty string, set a build
	number. Necessary when building from a svn-version tarball.


2006/04/05: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed Makefile.am's to use "$(MAKE)" instead of hardcoded "make" (should fix
  build on *BSD)
- AQBANKING_VERSION_BUILD is now automatically updated from SVN's revision
- changed AQBANKING_VERSION_RELEASE_STRING and AQBANKING_VERSION_FULL_STRING


===========================================================================
MARK: released AqBanking - 2.0.0 (2006-04-03)
===========================================================================


2006/04/03: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- imported into SVN


2006-03-29   Christian Stimming <stimming@tuhh.de>

	* src/plugins/backends/aqhbci/ui/qt3/libs/dialogs/cfgtabpageaccounthbci.cpp,
	src/plugins/backends/aqdtaus/ui/qt3/libs/dialogs/cfgtabpageaccountdtaus.cpp:
	Add implementation of declared slots; necessary for win32 because
	this doesn't allow undefined references.


2006/03/27: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a possible problem in imexporter.c: Check for unset account number
  and bankcode in AccountInfo (should fix the strcasecmp problem David
  reported)


2006-03-27   Christian Stimming <stimming@tuhh.de>

	* src/*.ui: Run the admin/fixuifiles on all ui files. 

	* src/frontends/g2banking/g2banking.glade: Run glade-fixup on this
	file.
	
	* m4/qt3.m4: Fix typo in determining the extension of shared
	libraries. Potentially erroneous on mac/darwin.


===========================================================================
MARK: released AqBanking - 1.9.11rc1 (2006-03-26)
===========================================================================


2006/03/25: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in AqOfxConnect: Was not initialising list code


2006/03/24: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in QBanking importer: Was segfaulting when clicking "back"
  on a certain page (reported by Adreas Pakulat)
- SWIFT parser:
  - fixed a bug (was using "text" instead of "transactionText" when storing
    the transaction text ("Buchungstext"). This change will however fool
    QBankManager when retrieving transactions because incoming transactions
    will now have this field filled, so QBankManager does not detect them
    as duplicates. 
    This will only occurr the first time QBankManager retrieves transactions
    per account.
- AqHBCI:
  - fixed a bug in AqHBCI-Tool (was using a false cryptmode for pintan media)
  - fixed the same bug in HBCI user wizard
  - fixed some more bugs related to user creation (sigh)
  -> tested: ddv, rdh, pintan (all three work now)


===========================================================================
MARK: released AqBanking - 1.9.10beta (2006-03-23)
===========================================================================


2006/03/23: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added admin/fixuifiles to EXTRA_DIST


2006-03-23  Christian Stimming <stimming@tuhh.de>

	* admin/fixuifiles: Copy script from kmymoney that will clean up
	UI files.


2006/03/21: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqHBCI: fixed a bug which prevented aqhbci-tool from creating PIN/TAN
  media
- SWIFT parser: 
  - this plugin is now able to read complete SWIFT documents (containing block
    specifiers etc). So we can now import YellowNet MT940 documents directly 
    into QBankManager and other applications
  - Tag 25: blanks are now skipped
  - added handling of non-SWIFT tags (":NS:", thanks to Flavio Rump for 
    providing a test file)
  - Tag 62x: Made more robust (many banks store the currency here even if
    they should not)
  - correct handling of currency (uses the currency reported via :60F:)


===========================================================================
MARK: released AqBanking - 1.9.9beta (2006-03-20)
===========================================================================


2006/03/20: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqYellowNet
  - no longer store data we write when using GWEN_NetLayerLog
  - check for file name extension and only untar files which are tar'ed


2006/03/17: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- updated binary libaqyellownet.so to require the currently built version
  of AqBanking


2006-03-17  Christian Stimming  <stimming@tuhh.de>

	* aqbanking.spec.in: Fix -devel package so that it contains
	libfoo.so only for those libraries that are in the base
	package. All other .so files are in the respective
	subpackages. This means the current dependency problem of
	libaqyellownet.so (which will be fixed in the next 1-2 days
	anyway) doesn't harm the rest of the RPMs.

	* src/plugins/backends/aqhbci/tools/aqhbci-tool/README: Improve
	documentation; emphasize the difference and the German translation
	of customer id (Kundennummer) and user id (Benutzerkennung).


2006/03/15: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added function AB_Value_toString()


2006/03/12: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed some typos in YellowNet plugin (reported by Tomas Pospisek)
- added a note about required file formats for YellowNet to README


2006-03-10   Christian Stimming <stimming@tuhh.de>

	* bindings/python/_basetypes.py: Add library names for Mac OSX as
	pointed out by Roman Dilken.


===========================================================================
MARK: released AqBanking - 1.9.8beta (2006-03-07)
===========================================================================


2006/03/06: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed some bugs in AqHBCI concerning import of users (importing keyfiles
  now works again as intended)


2006/03/02: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- make single transfers/debit notes the default. Otherwise some people think
  that there was something wrong with their transfers if they issued more
  than one in a single setting
- fixed a bug in AqHBCI setup wizard: Was asking for file even if a card
  is used


2006-03-01   Christian Stimming <stimming@tuhh.de>

	* configure.ac: Fix variables for aqyellownet so that
	builddir!=srcdir works correctly. Fixes make distcheck.


2006/02/27: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed linking against prebuilt libaqyellownet.so
- define some configure.ac variables for AqYellowNet
- "make srcdoc" now creates multifolder docs (fewer files per folder)


2006-02-24   Christian Stimming <stimming@tuhh.de>

	* bindings/python/__init__.py: Also remove
	AB_Banking_GatherResponses from python bindings.


2006/02/24: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- more work on API documentation, restructured API doc
- removed function AB_Banking_GatherResponses (it is not used by any
  application any longer)
- removed flags AH_USER_FLAGS_PREFER_SINGLE_TRANSFER and
  AH_USER_FLAGS_PREFER_SINGLE_DEBITNOTE (this is in account.h now)
- fixed a bug in AqHBCI: Was using user flags to determine whether the user
  prefers single transers


2006/02/22: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- more work on API documentation
- AqHBCI: further API-cleanup: AqHBCI will export less modules and functions 
  in future versions. My goal is to make the AqHBCI-API only consist of the
  files provider.h, account.h, user.h, medium.h
  - AH_User now uses a GWEN_URL for address settings instead of
    AH_BPDADDR (no need to expose this module)
  - introduced AH_HBCI_UpdateDbUser and AH_HBCI_UpdateDbAccount to allow
    for changes in the user/account specific GWEN_DBs
  - removed 22 files from the API of AqHBCI
  - now all HBCI-related tools only use the new restricted API


2006-02-22   Christian Stimming <stimming@tuhh.de>

	* bindings/python/aqcodegen: Add small improvements to python code
	generator as suggested by M. Dietrich <mdt@emdete.de>.


2006/02/21: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- more work on API documentation
- removed deprecated functions:
  - AB_JobSingleDebitNote_GetMaxPurposeLines
  - AB_JobSingleDebitNote_GetTextKeys
  - AB_JobSingleTransfer_GetMaxPurposeLines
  - AB_JobSingleTransfer_GetTextKeys
  - AB_JobTransferBase_GetTextKeys
  - AB_JobTransferBase_GetMaxPurposeLines
- removed db argument from function GB_ProfileList_Clear (was not used anyway)


2006-02-17   Christian Stimming <stimming@tuhh.de>

	* configure.ac: Use AC_CONFIG_HEADERS, not HEADER, according to
	autoconf docs.


2006/02/16: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- imexporter: Added notedTransactions (those are transactions which are noted
  at the bank but which have not been booked). Noted transactions are
  now stored as such by AqHBCI.
- no longer build libbankingpp.la
- provider lists are no longer public
- updated Doxyfile.in to current version of Doxygen
- started reorganizing API documentation (not finished yet)


2006/02/15: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added crypt token test in src/plugins/backends/aqhbci/plugin
- adapted AqHBCI crypt token code to latest changes in Gwenhywfar
This version needs the latest CVS version of Gwenhywfar.


2006/02/14: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed progress bar: Now show the correct percentage (but for HBCI only at
  the end, I will have to change the result transfer code in AqHBCI to
  change the status of AqBanking jobs earlier)
- marked queue execution functions which do not take an importer context
  as deprecated: They are still supported for a transitional period but 
  applications should use those functions which *do* take a context.
  
  This is necessary because otherwise we would loose data from some backends
  (e.g. yellownet, see below).
  
  By the same token, functions which return response data stored in jobs (like
  AB_JobGetTransactions_GetTransactions) are also marked as deprecated.
  This is to avoid having two different methods for backends and applications
  for importing response data.
  
  Backends store all responses in the given AB_IMEXPORTER_CONTEXT from which
  the application can take them. This way AqBanking can make sure that the
  application will get even data which it did not request explicitly.

  The reason for this decision is that some backends do not allow to select
  for which account statements are to be retrieved. Those backends rather 
  return all data for a given user (e.g. statements for all accounts of a 
  user at a given credit institute).
  With the previous method of storing responses directly within the job
  objects any additionally received data will get lost, and even worse,
  some backends allow the server to remove data it has already sent, so this
  data will be lost for good.
  We can't allow that to happen within AqBanking. Applications may choose
  to ignore this additional data, but AqBanking will not.
  
  The new approach obsoletes the function AB_Banking_GatherResponses so it has
  been marked as deprecated, too.
  
  QBankManager, KMyMoney, Grisbi and all other programs which use the
  frontends provided by AqBanking will work without changes.
  
  Gnucash will show 3 compiler warnings about using deprecated functions,
  but it will still work.

  These changes make it necessary for every application to be recompiled
  because the major SO version number must be changed for AqBanking 2.0
  (SO_AGE->0 because of incompatible API change) and I don't want to increment
  the SO-VERSION before a release.


2006/02/09: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- removed debugging messages from imexporter.c
- httpsession.c: added flag AB_HTTPSESSION_FLAGS_SECURE_SSL


2006-02-08   Christian Stimming <stimming@tuhh.de>

	* aqbanking-config.in.in,
	src/frontends/qbanking/qbanking-config.in.in: On --includes, don't
	return all_includes because that is too general; instead, only
	return those _includes that are actually used for the respective
	library.


2006-02-07   Christian Stimming <stimming@tuhh.de>

	* bindings/python/__init__.py, *.py: Small improvements to python
	bindings by M. Dietrich <mdt@emdete.de>.


===========================================================================
MARK: released AqBanking - 1.9.7beta (2006-02-06)
===========================================================================


2006/02/06: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a small memory leak (was not deleting QBWaitCallback-internal data)


2006/02/03: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed cbanking.m4 (was refering to QBanking instead of CBanking)
- fixed cbanking-config.in.in (same as above)
- fixed qbanking-config.in.in (was refering to KBanking instead of QBanking)
- AB_User: added field lastSessionId (used by some backends)
- added module AB_HttpSession (we have now 3 backends which use HTTPS
  connections, so it is much easier to have them all use this module
  instead of copying code from one module to another)


2006-02-03   Christian Stimming <stimming@tuhh.de>

	* src/libs/aqbanking/imexporter.h: Add ForEach functions for
	AccountInfo and Transaction as an additional possibility for
	accessing the data in the ImExporterContext.


2006-02-02   Christian Stimming <stimming@tuhh.de>

	* src/libs/aqbanking/banking.c: Make sure the end of the Init()
	function is executed even if the config file does not yet exist.

	* src/libs/aqbanking/banking.c: On erroneous Init/Fini, return an
	error instead of calling abort().


2006/01/31: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added CSV im-/exporter profile for American Express Card
- added some tutorials which show how to use AqBanking from applications
- fixed a bug in G2Banking (now works with Grisbi again)


2006-01-31  Christian Stimming <stimming@tuhh.de>

	* aqbanking.spec.in: Update spec file according to proposals by
	oc2pus <oc2pus@arcor.de>


===========================================================================
MARK: released AqBanking - 1.9.6beta (2006-01-30)
===========================================================================


2006/01/30: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a problem in AqHBCI: Didn't see attach points when the corresponding
  segment result contained more than one result and the attach point wasn't
  the first of them
- fixed a problem with false includehints in UI files of QBanking (had been
  fixed before, but reoccurred due to a CVS revert which seems to have 
  fetched too old revisions


2006-01-30  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Remove kde-config --libsuffix since this is now
	already given from somewhere else (no idea where, actually) as
	reported by Thomas Baumgart.


===========================================================================
MARK: released AqBanking - 1.9.5beta (2006-01-28)
===========================================================================


2006/01/28: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed some Makefiles


===========================================================================
MARK: released AqBanking - 1.9.4beta (2006-01-27)
===========================================================================


2006-01-27   Christian Stimming <stimming@tuhh.de>

	* src/frontends/qbanking/lib/checklib.cpp: Add yet another test
	program that has test cases but no GUI interaction. To be used by
	"make check".

	* src/libs/aqbanking/Makefile.am, src/frontends/*: Add TESTS
	variable in Makefiles that will call the "testlib" executable;
	this way, "make check" can be used for actual run-time tests for
	the libraries.

	
2006/01/27: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added backend AqYellowNet (Suisse Postfinance). This backend is currently
  binary only because of a NDA (I would like to publish it under the GPL, but
  this is not yet possible, maybe later).
- added phony backend "aqnone"; this backend can be used for offline accounts
- added description of available backends to README
- fixed a bug in certificate handling: Was not storing the result of user
  interaction (was always asking whether the user accepts the cert)
- fixed a bug in OfxConnect QT3: Was missing a "moc.cpp" file (why the heck
  did it work on SuSE???)
- changed effective SO version of QBanking (should have done this for previous
  release due to an API change in QBPickDate)
- OFX Direct Connect now works again (thanks to David Reiser!!)
- added a "Thanks" chapter to README


2006-01-26   Christian Stimming <stimming@tuhh.de>

	* bindings/python/__init__.py: Commented out removed
	functions. python wrappers still work fine; all tests of
	../moneysplash/unittests work without errors.

	* bindings/python/_basetypes.py: Updated SO_EFFECTIVE numbers of
	libaqbanking and libgwen.


===========================================================================
MARK: released AqBanking - 1.9.3beta (2006-01-26)
===========================================================================


2006/01/25: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a problem in AB_FindUser (was not ignoring empty fields)
- SWIFT parser:
  - lightened up parser (will now also read YellowNet MT940)
  - read tag :25: (local account number/bank code)
- added function AB_ImExporterContext_AddContext() to add one context
  to another one
- moved QT3 lib stuff for OfxConnect to one level above (tar was
  complaining about too long names)
- some minor changes to QBanking to allow backend user configuration
  pages to modify the user id and customer id label (e.g. "Yellownet" used
  a "Yellownet number" instead of a user id)


2006/01/24: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- GTK2 frontend now uses libglade instead of creating source code.
  This makes it much easier to work with glade files.
- added function AB_Job_Type2LocalChar() which returns a localized and
  human readable string representing a job type (e.g. "Get Balance")
- frontend GBanking:
  - now uses the visibility feature of GCC4
  - added some functions to retrieve non-HTML from combined text (as used by
    AqBankings interactive callbacks)
  - now extracts HTML parts of GUI messages and converts it if necessary from
    UTF8 to whatever codepage the application has chosen
  - figured out that for GTK labels I need to call gtk_label_set_markup()
    instead of gtk_label_set_text() if I want to get the label to show
    HTML text... grrr.
  - cleaned up the namespace of this frontend (moved file names and module
    names to match the scheme used in QBanking)
  - added GB_ProfileListView (as needed for importers using GTK)
- frontend QBanking:
  - removed invalid include hints which got back into CVS for unknown reasons


2006/01/23: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AB_CryptManager now implements the new function 
  GWEN_CryptManager_SetPinStatus() thus allowing crypt tokens to mark bad
  pins
- AqHBCI
  - when we get a response indicating problems with our signature
    we abort the current queue instead of going on
  - removed a debug message
- kbanking: Removed po-folder (uses AqBanking's po files)
- qbanking:
  - fixed some dialogs 
    - now include a help button (connected that to a slot
      which calls the QBanking Help System)
    - no longer manually add joblists, account lists or user lists to 
      layout boxes, let uic do it
  - QBPickStartDate: Changed constructor, now a pointer to a QBanking
    object is required (this change was necessary in order to let this
    dialog call the help system)
  - started to sort and cleanup include directives


2006/01/22: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- imported German translation by Jens Koerner: Thank your very much!!
- added help texts for the AqBanking settings dialog (all pages)


2006/01/21: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added Qbanking help viewer tool which is now called by QBanking when
  a help button is clicked


2006/01/20: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- enabled OFX-QT3 section in specs file
- fixed a bug: qbuserlist.h was including an AqHBCI header
- fixed a bug in aqhbci-tool: Was not setting the medium whenn adding a new
  user
- moc-files are now called *.moc instead of *.h.moc, and they are now
  included by .cpp files instead of compiling them separately
- activated visibility feature for QBanking: This removes about 1300 symbols


===========================================================================
MARK: released AqBanking - 1.9.2beta (2006-01-19)
===========================================================================


2006/01/19: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug (was not finding the new QT3 wizard)


2006/01/18: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- reenabled OFX DirectConnect
- created tab pages for OFX DirectConnect
- changed QBanking's plugin path to be a sub-path of aqbanking's lib dir
  (now everything is installed below $libdir/aqbanking)
- fixed a minor bug in QBanking's QBCfgTab (false index number for tab pages)


2006/01/17: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- removed unneeded buttons from backend list page of configuration
  dialog
- no longer write debug file "/tmp/transactions.trans"


===========================================================================
MARK: released AqBanking - 1.9.1beta (2006-01-17)
===========================================================================


2006/01/17: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a showstopper bug (msgEngine malloced 0 bytes)
- more fixes on user migration
- fixed a bug (was segfaulting when edit user requested while no user was
  selected in user list)


2006/01/16: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed automatic config file update for AqBanking and AqHBCI (now the
  automatic migration from existing configurations really works), tested
  with updates from AqBanking 1.4.0 to current and 1.6.0 to current


2006-01-16  Christian Stimming  <stimming@tuhh.de>

	* src/plugins/backends/aqhbci/ui/qt3/libs/dialogs/cfgtabpageuserhbci.cpp:
	Fix failed assertion by creating a new object if none existed.


2006/01/15: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- started new approach to get data from a backend to the application:
  added argument AB_IMEXPORTER_CONTEXT to backends execute() functions.
  The can be used by backends to report queue-sepcific data (like messages
  from the bank, or imported data for accounts for which there was no
  request. Some backends only provide reports for multiple accounts, so we
  need a way to make that unrequested data available to the application).
- fixed some more <includehint> related problems in UI files of QBanking
  (why the heck did we never encounter any problem with them??)


2006-01-15  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Check for qt tools from identical qt version.


2006/01/14: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- bump up GCC version needed for visibility (use version 4, don't know which
  version started to support it, but I'm sure 4.0 does)
- qbcfgtabpageusers.ui, qbcfgtabpageaccounts.ui:
  fixed two bugs in UI files (were referring to files which do not exist)


2006-01-14  Christian Stimming  <stimming@tuhh.de>

	* src/plugins/backends/aqgeldkarte/ui/qt3/libs/Makefile.am:
	Renamed cfgtabpageaccountgeldkarte files into cfgtabpagk because
	on make dist, tar complains about too long filenames.

	* configure.ac: Add check for glade2 if g2banking is enabled.


===========================================================================
MARK: Merged tag branch_2_0_merge2 back onto HEAD. (2006-01-13)
===========================================================================


2006-01-13   Christian Stimming <stimming@tuhh.de>

	* configure.ac: Disable -fvisibility gcc option on mingw/windows
	-- seems to be not implemented there.


===========================================================================
MARK: Merged tag branch_2_0_merge1 back onto HEAD. (2006-01-13)
===========================================================================

2006/01/13: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- declared list2 functions for AB_ACCOUNT_STATUS
- job "getTransactions" is now additionally able to receive account status
  lists. This will allow us to get an account status even if a bank does not
  explicitly support the job "getBalance". These account status lists are
  now also sampled upon AB_Banking_GatherJobListResponses().
- backends no longer call setlocale() (this is done in AqBanking, and all
  backends provided by AqBanking use the same PACKAGE string)
- re-enabled backend AqGeldKarte
- removed some unneeded files and folders from AqGeldKarte QT stuff
- QBanking's settings dialogs are now able to create new accounts
- QBanking's settings dialogs are now able to create new users even if the
  backend configuration module does not provide a user wizard (in this case
  the user is simply created and edited)
- AB_Banking_CreateAccount() now assigns a unique id to the newly created
  account


2006/01/12: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added CSV im-/export profile for T-Online banking module
- remove job status "DEFERRED" and function to defer a job: Replaced by
  AB_Banking_ExecuteJobList()
- cfg module for AqHBCI: added wizard pages to complete the new RDH user
  part of the wizard
- AH_HBCI: AH_HBCI_AddBankPath() now always adds the lowercased country
  code
- AqHBCI's Qt stuff
  - fixed some bugs
  - removed some unneeded files (from old wizard)
  - wizard is now able to create new keyfiles
  - wizard's special user edit dialog now contains the HBCI version


===========================================================================
MARK: released AqBanking - 1.9.0beta (2006-01-11)
===========================================================================


2006/01/09: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- QBanking: 
  - unload and free config modules upon fini()
  - fixed a bug in QBPickStartDate: Was not disabling date input when needed
- aqbanking-tool: 
  - added arguments "--bank=x" and "--account=y" to command
    "import": This overwrites (non-)existing values in imported files (like
    when importing SWIFT)
  - relaxed accountid/bankcode selection in command "listtrans": Now the
    account no longer needs to exist


2006/01/07: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- frontend QBanking:
  - added dialog to select a backend (used for "new user" and "new account")
- cfg module for AqHBCI:
  - now it is possible again to setup a PinTan user (not finished yet, it
    does not automatically assign users, so created accounts cannot be used
    right now)
- added "AB_ProviderExtendMode_Save": This mode is now used to let the
  backends store not yet saved data before writing the user/account data
  to the DB upon AB_Banking_Save()
- no setting up a user and loading account lists works!


2006/01/05: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqHBCI-QT3:
  - added generic ActionWidget which is used by actions like GetKeys,
    GetAccounts etc.
  - adapted new-user-wizard to latest changes


2006/01/04: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added AB_Banking_GetSharedData() (used by the QT frontend "QBanking")
- prepared help function framework
- removed files which are no longer needed
- remove backend argument from AB_Banking_GetWizardDescrs() (it is not used
  by GnuCash so we can make this change)
- removed functions:
  - AB_Banking_SuspendProvider()
  - AB_Banking_ResumeProvider()
  - AB_Banking_GetWizardPath()
  - AB_Banking_SetUserDataDir()
- started working on QBHelpBrowser


2006/01/03: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqBanking now stores its version in the configuration file. If a newer
  version is started than before then all backends are given the opportunity
  to update AqBanking's data via the new callback AB_Provider_Update(). 
  This will be used by the current backends to create users (which are new to
  AqBanking2).
- implemented backend-specific account configuration pages for AqHBCI and
  AqDTAUS
- AqHBCI is now able to update AqBanking (it now creates missing users)


2005/12/31: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- very much work on new settings wizard infrastructure: 
  - implemented as announced on OpenHBCI-General
  - created cfg module for HBCI (not finished yet)
  - created edit user page for HBCI users
- started creating basic HBCI functions which are going to be needed for
  basic HBCI setup (future versions of AqHBCI will only allow core access
  via these functions)


2005/12/30: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- worked on transaction.xml:
  - added transaction subtypes "buy" and "sell"
  - added fields for investment transactions:
    - unit
    - unitPrice
    - fees
  - added category field to splits
- added check for latest LibOfx (has some additional fields, which are now
  optionally used)
- started working on AqBanking2:
  - added class AB_User
  - backend configuration is now stored within the AqBanking config file
  - removed unneeded functions from banking.c
  - made some functions private in banking.c
  - adapted backends:
    - aqhbci:
      - removed AH_BANK, AH_CUSTOMER
      - modified AH_USER to be just an extension of the new class AB_USER
      - no longer store user/account settings in backend specific 
        configuration, this is now rather stored with AqBanking itself
- make use of GCC's new visibility features: Now we only export symbols which
  are part of the API (so marked by AQBANKING_API. Gladly we had to add this
  macro for WIN32 long ago, so we just redefine this macro for GCC)
- AqHBCI: only export symbols which are defined via AQHBCI_API


===========================================================================
MARK: started working on AqBanking2 (2005-12-30)
===========================================================================


2005/12/23: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- now all calls to GWEN_NEW_OBJECT and GWEN_FREE_OBJECT do match (as required
  by gwen)
- introduced environment variable "AQBANKING_HOME" which is consulted in
  case there is no config directory path (which is the default for most
  programs)
- included a check for ktoblzcheck v1.8.x: The version shipped with Debian
  unstable introduces a mismatched free/delete/delete[].
- updated German bankinfo files (Bundesbank, HBCI file)


2005/12/17: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added CSV importer profile for Sparkasse Aachen


===========================================================================
MARK: released AqBanking - 1.8.1beta (2005-12-15)
===========================================================================


2005-12-06   Christian Stimming <stimming@tuhh.de>

	* src/frontends/qbanking/banking.h: Add QBANKING_API to exported
	qbanking classes. Necessary for windows/mingw32 and DLLs.


2005-12-05   Christian Stimming <stimming@tuhh.de>

	*
	src/plugins/backends/aqofxconnect/ui/qt3/libs/dialogs/editaccount.cpp:
	Improve OFX account creation dialog -- still relatively
	unfinished.


2005-12-02   Christian Stimming <stimming@tuhh.de>

	* src/plugins/backends/aqhbci/ui/qt3/libs/dialogs/userwizard.cpp:
	Show clear error message for currently unimplemented media.


2005-11-30   Christian Stimming <stimming@tuhh.de>

	* configure.ac, src/*/Makefile.am: Switch mingw DLL creation
	everywhere to automatic libtool DLLs. Requires libtool >= 1.5.14.


2005-11-29   Christian Stimming <stimming@tuhh.de>

	* src/plugins/backends/aqgeldkarte/plugin/Makefile.am,
	src/plugins/backends/aqdtaus/plugin/Makefile.am: Include source
	objects only into libbla.so; link the plugin bla.so against that
	lib.


2005/11/29: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug (was closing connections even for real HBCI)


2005-11-29   Christian Stimming <stimming@tuhh.de>

	* src/plugins/backends/aqofxconnect/plugin/Makefile.am: Include
	source objects only into libaqofxconnect; link the plugin
	aqofxconnect.so against that libaqofxconnect.so.

	* */Makefile.am: Add -no-undefined to all library object
	LDFLAGS. Required for cygwin/mingw, and doesn't harm for
	everything else.


2005/11/28: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqHBCI and QT-Tools:
  - added customer property "keepAlive" (defaults to "0" which means a PIN/TAN
    connection is not kept alive but instead reopened for every message
    exchange)
  - added customer property "preferSingleDebitNote" (no longer uses
    "preferSingleTransfer" for debit notes)
  - removed customer property "httpHost" (no longer used for HTTP connections,
    so it is better to remove it)


2005-11-26  Christian Stimming  <stimming@tuhh.de>

	* src/frontends/g2banking/Makefile.am: Call glade-2 via the
	AC_PROG_PATH variable GLADE2, which can be overriden by a user by
	GLADE2=/my/prefix/bin/glade-2. Workaround until we finally use
	libglade.


2005/11/26: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in Pin/Tan-setup code of AqHBCI wizard (was removing newly
  created bank/user/accounts)
- added calls to GWEN_Init() and GWEN_Fini() to AqBanking's constructor/
  destructor


===========================================================================
MARK: released AqBanking - 1.8.0beta (2005-11-22)
===========================================================================


2005/11/22: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- aqhbci: introduced a hardlimit for transactions per multi-transfers


2005-11-19  Christian Stimming  <stimming@tuhh.de>

	* src/frontends/qbanking/testlib.cpp, src/libs/aqbanking/testlib.c
	(also in g2banking, cbanking, kbanking): Add small test program
	that is linked on built so that the linker flags are checked for
	correctness.


2005-11-18   Christian Stimming <stimming@tuhh.de>

	* src/plugins/backends/aqdtaus/ui/qt3/libs/views/accountview.ui
	(also geldkarte and ofxconnect): Remove obsolete includehint.


2005/11/17: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added m4 and configure scripts for cbanking (thus making CBanking available
  outside of AqBanking)
- qbanking.{cpp,h}: Added QString-versions of progressStart() and
  progressLog()
- started working on Rdh user creation wizard


2005-11-16   Christian Stimming <stimming@tuhh.de>

	* m4/qt3.m4: Make qt3 detection independent of the shared library
	extension of the current OS.

	* aqbanking.spec.in: Move lib*.so into -devel rpm package; the
	binary packages will only contain "lib*.so.MAJOR".


2005/11/10: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added wizard which imports RDH media (keyfile, chipcard)
- aqhbci-qt3-wizard: fixed a bug (was not adjusting the status of an imported
  user)
- fixed a long frustrating - even if minor - bug: The progress watcher
  was not accepting the text I assigned to it, because for some unknown
  reason the function languageChange() is called after creation and this
  function always resets the label's text to it's initial value.


2005-11-08   Christian Stimming <stimming@tuhh.de>

	* src/plugins/backends/aqhbci/ui/qt3/libs/dialogs/*.cpp,
	src/frontends/qbanking/...: Finally fix return value problem of
	QMessageBox everywhere, because qt3-3.3.4 of suse9.3 returns a
	different value as described in the documentation.


2005/11/07: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed some bugs in AqHBCI setup wizard (in many cases the return value
  of QMessageBox functions was misinterpreted)


2005/11/05: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug (was always asking for acceptance of certificate and never
  storing the result of that user question for new certificates)
- started working on a new modular setup wizard for AqHBCI


2005-11-04   Christian Stimming <stimming@tuhh.de>

	* configure.ac: release version 1.6.1 on separate branch
	gwen-1-branch, forked from HEAD on 2005-10-25; increment
	aqbanking_so_current and age; increment qbanking_so_current and
	age.


2005/11/02: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- adapted to Gwenhywfar2 (needs the latest CVS version of Gwenhywfar)
- temporarily disabled AqHBCI-QT3-Wizard (it is too broken and it still used
  the old buggy network code of Gwen, I will have to write a new wizard in the
  next days)


2005/10/31: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- adapted AqHBCI to latest changes in Gwenhywfar: 
  - now uses GWEN_NetLayer instead of GWEN_NetConnection
  - cleaned up network stuff of AqHBCI
  - all remaining network code is now in msglayer/dialog*.{c,h}
  - network code is now completely synchronous (no need for asynchronous
    code since AqHBCI is only a client, not a server)


===========================================================================
MARK: released AqBanking - 1.6.1 (2005-11-04)
===========================================================================

2005-10-05   Christian Stimming <stimming@tuhh.de>

	* bindings/python/aqcodegen, _aqtypes.py: Fix the accidental
	overriding of the from_param method by defining the class method
	in the class itself. In python2.4 this can be replaced by function
	decorators, see http://www.python.org/doc/2.4/whatsnew/node6.html

	* configure.ac: Loosen the requirements on an installed python
	ctypes; instead, only python is considered sufficient for
	installing the python wrappers. I propose to enable python by
	default (and did so in the rpm spec file), although currently it
	is still disabled by default.

	* bindings/python/__init__.py: Update AB_Error to latest
	additions. Clarify argument change of AB_Banking_new >= 1.3.0 by
	renaming the second argument to configdir (vs. config file).


2005-10-02  Christian Stimming  <stimming@tuhh.de>

	* src/*.cpp: Remove unneeded casts to (QObject*) and QWidget.


2005/09/29: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug (bad assert)
- updated German bankinfo files


2005-09-23   Christian Stimming <stimming@tuhh.de>

	* src/libs/aqbanking/banking.c: Fix errornous debugging
	messages. Replace more '/' with the DIRSEP macro for win32
	compatibility.


2005-09-21   Christian Stimming <stimming@tuhh.de>

	* src/libs/aqbanking/country.c: Fix missing ending marker of the
	static list ab_country_list. Pointed out by qbankmanager segfault
	of Ronny Steiner.


2005-09-19   Christian Stimming <stimming@tuhh.de>

	* src/frontends/qbanking/*,
	src/plugins/backends/aqhbci/ui/qt3/libs/*: Replace implicit
	conversions of const char* into QString by explicit conversions
	everywhere. This means that aqbanking-strings are now always
	converted by QString::fromUtf8 and correctly backwards. This can
	be checked by defining QT_NO_CAST_ASCII.


2005-09-17  Christian Stimming  <stimming@tuhh.de>

	* src/frontends/qbanking/qbanking.cpp,
	src/plugins/backends/aqhbci/ui/qt3/libs/*: Eventually really fix
	the QString -> const char* conversions by taking care that
	temporary objects are kept correctly.


2005-09-16   Christian Stimming <stimming@tuhh.de>

	* src/frontends/qbanking/qbanking.{h,cpp} and many more in
	qbanking: Replace implicit conversions of const char* into QString
	by explicit conversions, using QString::fromUtf8() where
	appropriate, because the implicit conversions are always using
	QString::fromLatin1 which is not correct for strings that are
	retrieved from aqbanking. These problems can be identified by
	defining QT_NO_CAST_ASCII in config.h (not to be confused with the
	much more important QT_NO_ASCII_CAST) -- maybe we should do that
	sometime in the future.

	* src/plugins/backends/aqhbci/ui/qt3/libs/dialogs/editaccount.cpp,
	pagecheckfile.cpp, pageservercert.cpp, pageuserdata.cpp,
	selectcontext.cpp: Replace errorneous conversions
	QString::latin1() by QString::utf8() or QString::local8Bit().

	* src/plugins/backends/aqhbci/ui/qt3/libs/dialogs/pagemedium.cpp:
	Do not yet fix potentially errorneous latin1 conversion in
	QBanking::inputBox but add a huge FIXME comment.

	* src/frontends/qbanking/dialogs/qbimporter.cpp: Replace
	errorneous conversions QString::latin1() by QString::utf8() or
	QString::local8Bit().

	* src/frontends/qbanking/qbanking.cpp: Add static
	QBanking::isPure7BitAscii() to check QStrings for that. Improve
	header documentation. Do not yet fix potentially errorneous latin1
	conversion in QBanking::inputBox but add a huge FIXME comment.

	* src/frontends/qbanking/widgets/qbinputbox.cpp
	(QBInputBox::Validator::validate): Improve checking for digits by
	using only Qt methods on the QString.


2005/09/09: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- implemented job HKUMB (InternalTransfer)
- fixed a bug in aqbanking-tool command "request": was not correctly
  reading fromDate and toDate
- AB_Banking_GetAccountByCodeAndNumber() now checks for numeric
  account id as well (rules out problems when there are accounts with
  leading zeroes)


2005/09/07: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added flag QBANKING_IMPORTER_FLAGS_AS_ORDERS
- improved QBImporter:
  - added static method for easier import (QBImporter::import)
  - now the import flags can be given to the constructor


2005-09-07   Christian Stimming <stimming@tuhh.de>

	* aqbanking.iss.in: Update Inno Setup Compiler file for the
	post-1.3.0 package structure.
	
	* aqbanking.pc.in: Add configuration file for pkg-config; let this
	also be installed.

	* src/frontends/qbanking/Makefile.am: Add DLL rules for
	qbanking32_1.dll


2005/09/06: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug: Was not using the correct data dir when given


2005-09-06   Christian Stimming <stimming@tuhh.de>

	* src/frontends/qbanking/Makefile.am, qbanking.cpp, other
	Makefile.am: Rename defined DATADIR constant to PKGDATADIR because
	DATADIR collides with an existing define in some weird
	Windows/mingw32 header file.


===========================================================================
MARK: released AqBanking - 1.6.0beta (2005/09/02)
===========================================================================


2005/09/02: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added function AB_Banking_ExecuteJobList()
- added parts of AqHBCI README to this packages README
- declared private functions in banking_p.h as "static": nm (1) shows that
  this makes these symbols local (should in the long run reduce loading
  time)
- when creating new jobs: drop a note into job log


2005/08/31: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- tool AqBanking-Tool now links against the newly created libaqbanking.so
  instead of the system-wide one


2005/08/30: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- applied a patch by Hendrik Weimer which fixes iniletter creation in 
  aqhbci-tool (TODO: Need to check whether the wizard creates a valid
  iniletter!)


2005/08/27: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added function: AB_Job_Log(). Now the jobs will keep a history of what
  is being done to/with them
- added function AB_Job_GetLogs()
- AqHBCI now uses the job-log mechanism
- added functiuns AB_Job_SetUsedTan() and AB_Job_GetUsedTan()
- added section to README about which environment variables AqBanking uses
- job logger code now checks for the environment variable 
  "AQBANKING_STORE_JOBLOGS"


2005/08/25: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a possible problem with security media which do not provide a
  user list (create empty user instead)


===========================================================================
MARK: released AqBanking - 1.5.1beta (2005/08/24)
===========================================================================


2005/08/24: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- improved README of AqHBCI-Tool: Now a pristine RSA card can also be
  setup
- adapted to latest changes in Gwen: Now when CryptManager_GetPin is called
  with a pin encoding which differs from ascii the pin is transformed
  accordingly


===========================================================================
MARK: released AqBanking - 1.5.0beta (2005/08/23)
===========================================================================


2005/08/23: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AqHBCI: 
  - Now uses Gwen's PathManager which replaces the plugin code to
    find the XML files
  - moved update code into its own files (hbci-updates*.{c,h})
  - added documentation about what each update does
- aqhbci-tool:
  - added command "listusers"
  - added command "iniletter"
  - added command "listaccounts"
- improved documentation of aqhbci-tool (README)
- README of AqHBCI is now installed to $(datadir)/doc/aqhbci


2005/08/22: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added option "-os FILE" to tool hbcixml2 which extracts SWIFT records
  from log messages (this allowed me to re-import all old transactions from
  AqMoney2 and very old AqHBCI log files)
- added import profile for AqMoney1 CSV files
- made SWIFT importer less verbous
- importers csv, eri2 and openhbci1 now transform data to UTF-8 before
  import
- added functions
  - AB_ImExporter_Iso8859_1ToUtf8()
  - AH_ImExporter_DbFromIso8859_1ToUtf8()


===========================================================================
MARK: released AqBanking - 1.4.1beta (2005/08/19)
===========================================================================


2005/08/19: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug: banking.cpp did not set the pint function, ergo printing
  was impossible (grr!, must have happened while merging code)


===========================================================================
MARK: released AqBanking - 1.4.0beta (2005/08/19)
===========================================================================


2005-08-18   Christian Stimming <stimming@tuhh.de>

	* src/plugins/backends/aqhbci/*.cpp: Set the QBanking
	parentWidget. Also, Always give 'this' as parent widget when
	opening a MessageBox to prevent a globally modal messageBox that
	might be hidden underneath the application's window.

	* src/frontends/qbanking/dialogs/*.cpp, src/frontends/kbanking/*:
	Always give 'this' as parent widget when opening a MessageBox to
	prevent a globally modal messageBox that might be hidden
	underneath the application's window.

	* src/frontends/qbanking/qbanking.h: Improve storing of
	parentWidget pointer; enable querying it.
	
	* src/frontends/qbanking/qbanking.cpp: Use parentWidget pointer
	when opening a MessageBox to prevent a globally modal messageBox
	that might be hidden underneath the application's window.


2005-08-17   Christian Stimming <stimming@tuhh.de>

	* Makefile.am, configure.ac: Only use msgfmt --qt if the program
	supports this argument.


2005/08/17: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed *-config scripts
- define AQBANKING_SO_EFFECTIVE_STR
- add --enable-local-install (to be used for windows programs). 
  With this enabled plugins are also searched for below the working dir of the
  running program
- added function AB_Banking_GetGlobalSysconfDirs()
- added description of used Windows Registry Keys


2005/08/16  Peter de Vrijer <pdevrijer@home.nl>
	* src/plugins/imexporters/eri2/eri2.c
	* src/plugins/imexproters/eri2/eriformat.xml
	Changed both files to improve importing of erifiles
	according to my understanding of the eri format.
	- Added stripping of leading zeroes (and P of Postgiro)
	  in account numbers
	- Changed purpose adding system
	- Added __HandleRec4() to add purpose 6 correctly.
	- Changed in eriformat.xml purpose17_32 to CustomerReference

	
2005/08/16: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- more work on build system
- implemented Create function in pintan crypttoken
- improved help message of aqhbci-tool
- improved build-system: 
  - removed "eval SOMETHING" where encountered
  - no longer AC_DEFINE_UNQUOTED data dirs, instead add DEFS to
    Makefile.am where the data dir is needed
- renamed plugin "pkgdatadir" to "aqbanking_datadir" which is no longer
  registered (it is private to AqBanking)


2005/08/15: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in AH_Provider_AddJob(): Was using the userId instead of the
  customer id
- fixed a bug in openhbci1 importer: Was not using the correct date when
  importing


2005/08/14: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- set the loglevel of the AqBanking logdomain according to the environment
  variable "AQBANKING_LOGLEVEL"


===========================================================================
MARK: released AqBanking - 1.3.1beta (2005/08/12)
===========================================================================


2005-08-12   Christian Stimming <stimming@tuhh.de>

	* m4/kde3.m4, qt3.m4: If KDE or Qt is not there, only give
	warnings; the error will come in configure.ac.

	* configure.ac: Fix build system -- put the AM_CONDITIONAL macros
	always at top-level, never inside an if-branch, or else configure
	will break.

	* aqbanking.spec.in: RPM spec file updated; will create
	sub-packages for qt3, kde, gnome2, geldkarte, geldkarte-qt3, ofx,
	ofx-qt3.


===========================================================================
MARK: released AqBanking - 1.3.0beta (2005/08/11)
===========================================================================


2005/08/11: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- adapted CryptToken plugin for Pin/Tan to the latest changes in Gwen
- improved configure.ac: Now some checks are only performed if the list of
  requested backends and frontends require it (e.g. tests for GTK, QT etc)
- backported ui files to 3.2
- added a missing include in AqGeldKarte-Qt-Wizard and AqOfxConnect-Qt3-Wizard
- polished README
- added missing header files to dist


2005/08/10: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- removed cbanking stuff from aqhbci-tool (now uses the frontend "cbanking")
- changed interpretation of the second argument to AB_Banking_new(): It now
  expects the path to the data folder. The configuration file will be read
  from this data folder (new default is $HOME/.banking/settings.conf instead
  of $HOME/.aqbanking.conf). The old file is still loaded if the new file
  doesn't exist, but when writing it back the new location is used.
- added function AB_Banking_GetGlobalDataDir()
- added my own eri importer, just to test a new approach to be used in general
  for binary record-oriented file formats (to be used forthe Spanish Q43
  format)


2005-08-09  Christian Stimming  <stimming@tuhh.de>

	* src/frontends/qbanking/banking.h: Move banking.{h,_p.h,cpp} from
	sub-library prg/ to the library itself -- this way the header is
	correctly copied to the top_builddir/header directory.


2005/08/09: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- swallowed and adapted AqHBCI-QT-Tools
- fixed QT frontend
- swallowed and adapted AqDTAUS-QT-Tools
- swallowed and adapted AqGeldKarte-QT-Tools
- adapted OFXDirectConnect plugin to latest LibOFX release (0.8.0)
- fixed library linking order in backend wizards
- swallowed last backend wizard (ofx direct connect)
- now correctly create all necessary symlinks
- improved QBanking importer dialog, progress widget and callbacks


2005/08/08: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- swallowed more backends (aqdtaus, aqgeldkarte, aqofxconnect)
- swallowed gtk2 frontend
- swallowed kde frontend
- created qt frontend (not tested yet)


2005-08-07  Christian Stimming  <stimming@tuhh.de>
	* src/plugins/backends/aqhbci/plugin/applayer/accountjobs/Makefile.am:
	Rename the jobgetstandingorders.{h,c,xml,_p.h} files to
	jobgetsto.* because of tar's file name length limitation on "make
	dist".



2005-08-06  Peter de Vrijer <pdevrijer@home.nl>
	* src/plugins/imexporters/eri/eri.c
	- Fixed bug in finding EOF. ERI files end with
	  ^Z character after the last record in the file.
	  Changed EOF detecting in AB_ERI_ReadRecord() 
	  accordingly

	
2005/08/05: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- build-system: Now the symlinks for all headers are created below the folder
  "headers" in $(top_builddir)
- added frontend "cbanking" (console) (aqbanking-tool now uses this rather
  than having its own console ui files)
- swallowed AqHBCI (-> src/plugins/backends/aqhbci)


2005-08-04  Peter de Vrijer <pdevrijer@home.nl>
	* src/plugins/imexporters/eri/eri.c
	- Changed one log message back to
	  LogLevelNotice

	
2005/08/04: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added flag AB_BANKING_INPUT_FLAGS_ALLOW_DEFAULT
- added error code AB_ERROR_DEFAULT_VALUE
- changes to eri.c: 
  - changed loglevel from Notice to Error
  - make the file fit into lines of 80 characters
- updated German bank info files
- updated APIDOC in banking.h


2005-07-31   Peter de Vrijer <pdevrijer@home.nl>
	* src/plugins/imexporters/eri/eri.c
	Changed all the printf() call's for logging purposes
	to calls to GWEN_WaitCallback_log(). This way the messages
	go into the messagebox which is already there.


2005/07/29: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- defined AB_BANKING_PROGRESS_ONE
- now AB_Banking_ExecuteQueue calls AB_Banking_ProgressStart and -End,
  not each backend. This change has to be implemented in the backends as well.
  This is needed because otherwise if there are multiple backends involved
  in one queue execution then there will be multiple progress windows which
  is quite annoying.


2005/07/26: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- only call GWEN_WaitCallback_Enter() when starting a progress via 
  AB_Banking_ProgressStart()


2005-07-28   Christian Stimming <stimming@tuhh.de>

	* configure.ac: Fix AC_CHECK_LIB usage -- it *must* have a
	ACTION_IF_FOUND or otherwise the -lLIB command is added to LIBS
	automatically.


2005-07-28   Peter de Vrijer <pdevrijer@home.nl>
	* src/plugins/imexporters/eri/eri.c: Changed the use of
	GWEN_BufferedIO_ReadRaw() in AB_ERI_ReadRecord() to the
	use of GWEN_BufferedIO_ReadRawForced(). Changed error handling
	accordingly. Also detecting EOF exactly after a record by the use of
	the character we took already a GWEN_BufferedIO_PeekChar() to.


2005-07-27   Peter de Vrijer <pdevrijer@home.nl>
	* src/plugins/imexporters/eri/eri.c: Changed the call
	back to GWEN_Error_GetSimpleCode() and changed the errorhandling
	in calling function accordingly. Added handling of errors not resulting
	from EOF in the eri file.


2005-07-27   Peter de Vrijer <pdevrijer@home.nl>
	* src/plugins/imexporters/eri/eri.c: Changed the call to
	GWEN_Error_GetSimpleCode() in AB_ERI_ReadRecord into a
	call to GWEN_Error_GetCode(). Really need the code without
	any regard to the severity.


2005-07-26   Christian Stimming <stimming@tuhh.de>

	* src/libs/aqbanking/cryptmanager.c: Introduce a temporary
	password buffer to avoid pointer signedness warnings (gcc4.x)
	between AB_CryptManager_GetPin and AB_Banking_GetPin.


2005/07/26: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- enabled Peter de Vrijer's ERI file importer
- fixed a bug in the ERI importer (a closing curly bracket was within an
  #ifdef)


2005/07/16: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added command "import" to aqbanking-tool.
  Example of usage:
  aqbanking-tool import -c out.ctx -f testfile --importer=swift 
                        --profile=SWIFT-MT940


===========================================================================
MARK: released AqBanking - 1.2.0 (2005/07/15)
===========================================================================


2005/07/15: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- updated German bank info


2005/07/14: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added some options to CSV im/exporter: It is now able to handle positive/
  negative marks in CSV files and modifies the amount of a transaction
  accordingly.
- added CSV profile for Mijnpostbank.nl provided by Peter deVrijer


2005/07/13: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added a list of datedTransfers to import/export context
- added function AB_Banking_RequestDatedTransfers()
- added request for dated transfers to aqbanking-tool


2005/07/11: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed order in LDFLAGS for parser plugins dtaus and swift


===========================================================================
MARK: released AqBanking - 1.1.0 (2005/07/10)
===========================================================================


2005/07/08: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- transactionlimits: Now stringlists are no longer returned as const (making
  it easier for backends to modify them)
- fixed some bugs in base transfer job


2005/07/07: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added fields to transaction limits:
  - allowMonthly (monthly cycles allowed for standing orders)
  - allowWeekly (weekly cycles allowed for standing orders)


2005-07-05   Christian Stimming <stimming@tuhh.de>

	* configure.ac, src/tools/aqbanking-tool/cbanking.c:
	Windows/mingw32 now has <signal.h> but is missing the actual
	functions that we use. Therefore add configure check for the
	declaration of sigprocmask() and #if accordingly.


2005/06/30: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added jobs:
  - CreateStandingOrder
  - ModifyStandingOrder
  - DeleteStandingOrder
  - CreateDatedTransfer
  - ModifyDatedTransfer
  - DeleteDatedTransfer
- updated German bank info (HBCI part)


2005/06/29: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- extended AB_TRANSACTION_LIMITS to contain limits for standing orders and
  dated transfers: Started working on standing orders and dated transfers
  (sponsored by Frank Hansen).
- very much simplified transaction-based jobs: JobSingleTransfer,
  JobSingleDebitNote and the future jobs JobCreateStandingOrder,
  JobModifyStandingOrder, JobDeleteStandingOrder, JobCreateDatedTransfer,
  JobModifyDatedTransfer and JobDeleteDatedTransfer will internally share the
  new base job JobTransferBase. 
  This is completely transparent, applications or backends won't notice this
  change.


2005/06/27: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added command "listbal" to aqbanking-tool. This command shows balances
  in CSV format received upon "exec" (sponsored by Robert Schneider)


2005/06/22: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added local command line argument "-x" to aqbanking-tool commands
  "debitnote" and "transfer". With these arguments given the queue is
  immediately executed and the result returned after enqueuing a request
  (sponsored by Oliver Doerfler)
- started adding functions for transactions (transactionfns.{c,h})
- added command line arguments for logging to AqBanking-Tool
- aqbanking-tool now uses its own log domain
- updated README of aqbanking-tool
- documentation is now installed


2005/06/21: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added job JobGetDatedTransfers
- improved help screen of AqBanking-Tool
- added a aqbanking-tool module which checks for a given bank code and 
  account number combination


2005/06/20: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- updated Austrian bank info files: Added address, zipcode, city etc from
  another source (Oesterreichische Nationalbank). Now we have info about
  ca 2200 Austrian banks
- added missing header checks to configure.ac
- fixed a bug in banking.h: AB_BANKING_MSG_FLAGS_SEVERITY_IS_DANGEROUS
  was missing the argument
- work on AqBanking-Tool:
  - added non-interactive mode
  - character-set for output is now adjustable via a command line switch
  - added module for debit notes


2005/06/17: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- updated German bank info files


===========================================================================
MARK: released AqBanking - 1.0.12 (2005/06/14)
===========================================================================

2005/06/13: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in dtaus-exporter (wrong size<256 assertion)
- added "CHARGE" field to AB_TRANSACTION
- added some fields needed for foreign transfers


===========================================================================
MARK: released AqBanking - 1.0.11 (2005/05/20)
===========================================================================


2005/05/20: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- aqbanking-tool now gets installed


===========================================================================
MARK: released AqBanking - 1.0.10 (2005/05/20)
===========================================================================


2005/05/17: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- adapted plugin description files to latest changes in gwen
- fixed DTAUS plugin description: currently there is no export function


2005/05/13: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added functions
  - AB_ImExporterContext_toDb()
  - AB_ImExporterContext_fromDb()
  - AB_ImExporterAccountInfo_dup()
  - AB_ImExporterAccountInfo_toDb()
  - AB_ImExporterAccountInfo_fromDb()
  - AB_AccountStatus_List_dup()
- added command line tool which allows some basic operations (aqbanking-tool)
- added a README for aqbanking-tool
- added transfer list to ImExporterAccountInfo
- AB_Banking_GatherResponses() now also samples transfers (including
  single transfer, debit note, EU transfer etc)
- added module "transfer" to aqbanking-tool
- fixed README of AqBanking-Tool


2005-05-04  Andreas Degert  <ad@papyrus-gmbh.de>

	* bindings/python/_aqtypes.py: regenerated.

	* bindings/python/aqcodegen: added nested type definitions and
	enums (but as of now only nested enum definitions will work..).

	* bindings/python/__init__.py: some fixes and additions.


2005/05/02: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in ImExporter: When returning a transaction from an accountInfo
  object the transactions were falsely unlinked from the list
- added StandingOrders to ImExporter_Context
- AB_Banking_GatherResponses() now also samples standing orders
- AB_Banking_RequestTransactions(): 
  - firstDate and lastDate are now const
  - both dates are now set in the job if present
- added function AB_Banking_RequestStandingOrders()


2005/05/01: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added field "period" to AB_TRANSACTION (started to prepare for standing
  orders. To rebuild the transaction.* files you'll need the latest CVS
  version of Gwen, because only the latest typemaker version is able to
  handle enums)
- added some more fields needed for standing orders to struct AB_TRANSACTION
- added definitions for job AB_JobGetStandingOrders


2005/04/26: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added a function which checks whether a given IBAN is valid
- added bankinfo plugin for Switzerland (about 3,500 banks)


2005-04-25  Christian Stimming <stimming@tuhh.de>

	* src/libs/aqbanking/banking.c: Add PluginManager for path lookup
	of loading the profiles.


2005-04-24  Christian Stimming  <stimming@tuhh.de>

	* src/libs/aqbanking/banking.c: Change path lookup order to avoid
	warnings on win32.


2005/04/22: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in AB_ImExporter_ImportFile (found by Andreas Degert):
  Was not setting a read buffer for BIO


===========================================================================
MARK: released AqBanking - 1.0.9 (2005/04/22)
===========================================================================


2005/04/22: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added two general purpose fields to AB_BankinfoService (used by OFX
  entries for FID and ORG)


2005/04/20: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- OFX importer now stores the account type


2005/04/19: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added function AB_Account_List2_FreeAll() to be used by backends only


2005-04-19  Christian Stimming <stimming@tuhh.de>

	* src/libs/aqbanking/banking.c (AB_Banking__UnlinkJobAs): On
	windows, the file descriptor has to be close before trying to
	unlink(2) a file. Maybe this is true on unix, too? Martin needs to
	check this.

	* src/libs/aqbanking/banking.c: Add PluginManager path lookup for
	ImExporter plugins. Necessary for win32.


2005-04-18  Andreas Degert  <ad@papyrus-gmbh.de>

	* bindings/python/_aqtypes.py: generated with current version of
	xml files; some comments and the BankInfo property bic got added.

	* bindings/python/aqcodegen: change decorators into syntax usable
	with python versions before 2.4.

	* bindings/python/aqcodegen: replace "print" with a function that
	writes UTF-8 encoded output as declared in the output header
	(no change in output because the text from the xml-input files is
	pure ascii; just in case this changes sometime).


2005-04-15  Christian Stimming  <stimming@tuhh.de>

	* configure.ac, bindings/python/*: Add the python bindings. They
	can be enabled by --enable-python. You need ctypes for that, see
	README, and you need to call automake --add-missing once before
	you can install the python bindings, because otherwise the file
	py-compile is missing.


2005-04-15  Christian Stimming <stimming@tuhh.de>

	* src/libs/aqbanking/banking.c: For win32, rename(2) fails if the
	target exists. Therefore explicitly unlink(2) the target
	beforehand.


2005/04/15: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added bankinfo files for USA (about 24000 banks)
- all necessary bankinfo files for the generic bank info plugin are now
  provided by the AqBanking tarball (only need to be rebuilt by myself,
  and since rebuilding those files takes a long time it is best to do it
  only once)


2005/04/14: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in JobGetTransactions() (was storing the fromTime instead of the
  toTime)
- sped up work with bank info files. Also, bankinfo files are now stored in
  a single file which still is a simple GWEN_DB file (this might change
  later, however, for now this is faster than before and doesn't need too
  many files)
- improved Makefile regarding building of bankinfo files: Now they are only
  created once (unless changed)
- added bankinfo plugin for USA (this also lists some banks with OFX servers)


2005/04/13: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added generic bankinfo convenience library (to be used by bankinfo plugins)
- implemented lookup code in German bankinfo plugin: Now much information is 
  available for German banks
- added bankinfo module for Austria (few informations, though, only bank id
  and bank name)


2005/04/08: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- improved the SWIFT parser: Now if the tag :86: starts with a 999 which
  is not followed by a '?' this 999 is still read and skipped. In such a case
  now the 999 is not part of the purpose line.


===========================================================================
MARK: released AqBanking - 1.0.8 (2005/04/08)
===========================================================================


2005/04/08: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- the default for pinCacheEnabled changed now to FALSE. That means pins
  will only be cached while executing a job queue. Christian was right
  all along about this feature ;-) It is best to let the user always
  acknowledge online operations by entering his pin (chip cards will have
  to ask anyway). Furthermore the status of this flag is neither written nor
  read from the config file. So if an application wants this feature on it
  must set this flag after each AB_Banking_Init() explicitly.


2005/04/07: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added AB_Banking_newExtended which takes the extensions supported by the
  application as third argument.
  This will be used to check for extensions to GUI functions supported by
  the application.
  It will allow me to keep the number of callbacks small while maintaining
  binary compatibility even when introducing new flags for the existing
  GUI callbacks.
  AB_Banking_new() now calls this new function with extensions=0, so
  existing programs don't need to be recompiled.
- AQBANKING_VERSION stuff is no longer defined in config.h, this now allows
  to include "version.h" within AqBanking's source files
- added special treatment for nested progress contexts (-> first extension
  to GUI callbacks AB_Banking_ProgressStart() and AB_Banking_ProgressEnd())


2005-04-07   Christian Stimming <stimming@tuhh.de>

	* Makefile.am: Some cleanup for the translation-related rules in
	Makefile.


2005/04/05: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- OpenHBCI1 plugin now returns "AB_ERROR_UNKNOWN" thus flagging that a
  particular file *might* be supported (since there currently is no way to 
  make that determination for sure)
- fixed CSV-importer (now works even with non-AqMoney2-files)
- added a CSV-profile for CSV files provided by comdirect bank


2005/04/04: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- German translation completed by Jens Koerner (Thank you very much, I know
  how much work that must have been!!)
- refreshed type files generated by typemaker (fixes memory leaks)


2005-03-30   Christian Stimming <stimming@tuhh.de>

	* src/libs/aqbanking/banking.c: Use new
	PluginManager_AddPathFromWinReg for path lookup from windows
	registry.


2005/03/29: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in CSV importer
- added helper function AB_ImExporter_DateFromString()
- temporarily disabled deprecated warning until next GnuCash is released
- added blocking macro AQBANKING_NOWARN_DEPRECATED to be used by
  applications to disable these warnings in future versions (mainly to
  be used by GnuCash as requested)
- added default WaitCallback. This was formerly declared in each backend,
  but since its job - to direct WaitCallback logs to AB_Banking functions - 
  is better suited in AqBanking this class has moved here.


===========================================================================
MARK: released AqBanking - 1.0.7beta (2005/03/28)
===========================================================================


2005/03/29: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added type AB_TRANSACTION_LIMITS. This one is supposed to contain field
  limits for AB_TRANSACTIONs. This can be used to set some limits in a
  GUI.
- AB_JOBs which deal with transactions (like AB_Job_TypeTransfer and
  AB_Job_TypeDebitNote) now use AB_TRANSACTION_LIMITS instead of their own
  fields. Their own fields are still supported for compatibility reasons
  but are soon to be removed (as soon as the next GnuCash version is
  released)
- define macro AQBANKING_DEPRECATED (used with gcc to mark deprecated
  functions)
- added country to AB_ACCOUNT


2005/03/28: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- always use "UTC 12:00" for dates which do not contain a time. This avoids
  the problem with date shifting due to daylight saving time.
  Note: This means there is no localization of the time in the plugins
  anymore.
- switched to short dates in AB_Job_to/fromDb (makes job files smaller)


2005/03/27: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added function AB_JobEuTransfer_GetCountryInfoList()


2005/03/26: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added field to AB_TRANSACTION: remoteBankLocation


2005-03-23   Christian Stimming <stimming@tuhh.de>

	* src/libs/aqbanking/jobs/jobeutransfer.c: Fix error in creating
	JobEuTransfer: was not setting the correct enum JobType.


2005/03/22: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in AB_Banking__ReadImExporterProfiles() (was trying to lock
  the profile file)
- added currency information to AB_COUNTRY. This will make it easier for me
  to implement EUR transfers (because I can now determine whether the target
  country is within the EUR zone)
- AB_TRANSACTION: preparations for EU transfers:
  - added remoteIban
  - added remoteBankName
- added job: AB_JobEuTransfer


2005/03/21: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug concerning pending jobs


2005-03-21   Christian Stimming <stimming@tuhh.de>

	* configure.ac, m4/az_python.m4, bindings/Makefile.am: Put
	infrastructure for python wrappers into place.

	
2005-03-17   Christian Stimming <stimming@tuhh.de>

	* src/plugins/imexporters/*/Makefile.am: Fix DLLLDFLAGS for
	win32/mingw DLL building.


2005-03-13  Christian Stimming  <stimming@tuhh.de>

	* Makefile.am: Modify rules for i18n so that the catalogs are
	rebuilt only at install-time or explicitly, not during normal
	make.


2005/03/11: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug: Status of pending jobs are no longer set to "sent".


2005/03/09: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- safer handling of enqueued jobs upon ExecuteQueue:
  - when a job has been added to the queue of a backend it is moved from the
    "todo" list to the "sent" folder. This way even if the backend crashes a
    job will in no case be executed twice.
- AB_Banking_Save() now writes to temporary config file and renames the 
  resulting file later to the real name.
- clarified APIDOC of GetEnquedJobs and the function group it is in


2005/03/08: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in dtaus-import.c (reported by Andreas Degert)


2005/03/07: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AB_Banking_GetAccountByAlias() now no longer calls AB_Banking_MsgBox()
- clarified APIDOC concerning accounts returned by various functions


2005/03/01: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AB_Job now attaches to its account


2005/02/25: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added account type field to AB_ACCOUNT
- started working on QIF importer


===========================================================================
MARK: released AqBanking - 1.0.6beta (2005/02/24)
===========================================================================


2005/02/24: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- safer treatment of application and backend data files: write to temporary 
  file and rename to target later


2005/02/23: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- country.h: added missing statements for C++
- balance.c/h: argument t is now const


2005-02-22   Christian Stimming <stimming@tuhh.de>

	* src/libs/aqbanking/types/value.h, value.c: Improve
	documentation. Add some additional predicate functions.

	* aqbanking.iss.in: Finally finish the iss setup file: The DLL is
	installed in the windows directory, the gwen plugins are installed
	in gwen's dbio-plugindir, everything else in the application's
	dir, and registry keys for querying its plugindir are set.


2005-02-21   Christian Stimming <stimming@tuhh.de>

	* aqbanking.iss.in: Add Inno Setup Compiler input file for
	automated creation of self-extracting Windows exe files. 

	* aqbanking-config.in.in, configure.ac: Clean up some variables so
	that the iss file can adapt this script at installation time.


2005/02/21: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added functions to AB_VALUE which will me allow later to use something
  other than double internally (add, sub, compare, isNegative)
- inserted country value 280 for Germany (since our official number is not
  really used. However, 276 is still around. But when asking for the number
  Germany the 280 will be returned because it preceeds 276 in my list)


2005/02/20: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- clarified API for AB_Banking_Print() to allow dry-runs and multi-page
  documents.


===========================================================================
MARK: released AqBanking - 1.0.5beta (2005/02/19)
===========================================================================


2005/02/19: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- now the certificate status is green when all is ok
- decreased verbosity


2005/02/18: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- changed order in AB_Banking_Fini() (now the providers are deinit first)
- now all job types for the current app are removed from the finished queue
- fixed DTAUS import- and export parsers


2005/02/17: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- now certificate handling is done inside AqBanking (no longer in the
  backends)
- added functions AB_Banking_GetAlwaysAskForCert() and 
  AB_Banking_SetAlwaysAskForCert()
- added country information lookup functions (AB_COUNTRY)


2005/02/16: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- made some functions in account class public
- AB_Account_fromDb() can now be used by backends (it internally no longer
  calls AB_Provider_UpdateAccount(), this is now done by AB_Banking_Init())
- added function AB_Banking_Print()
- DTAUS GWEN_DBIO parser now adds information from E sets to the GWEN_DB when
  reading a DTAUS object
- configure.ac: Added "--enable-release"


2005/02/11: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- this lib now uses $libdir instead of $prefix/lib)


2005/02/10: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a typo (rendered the macro AB_BANKING_MSG_FLAGS_CONFIRM_BUTTON
  unusable)
- clarified documentation here and there


2005/02/08: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in SWIFT parser (thanks to Christian for providing me with a
  usable log)


===========================================================================
MARK: released AqBanking - 1.0.4beta (2005/01/30)
===========================================================================


2005/01/30: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added function AB_Banking_GetSharedDataDir() which will be used by
  QBankManager and AqMoney3 to share their transaction storage. 
  However, other applications might want to share some of their data, too.


2005/01/29: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug in AB_Banking__ExecuteQueue() (was always returning an
  error)
- fixed missing usage of logdomain where encountered
- fixed AB_Banking_GatherResponses: If multiple GetTransaction jobs exist for
  one day and they all have the same date range they will be removed but one.
- changed *_LIBADD order in Makefiles to always link against the libraries
  currently under contruction


===========================================================================
MARK: released AqBanking - 1.0.3beta (2005/01/26)
===========================================================================


2005/01/25: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a possible bug: Now PluginManagers are only unregistered if they
  exist...


===========================================================================
MARK: released AqBanking - 1.0.2beta (2005/01/22)
===========================================================================


2005/01/22: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added function AB_Provider_ResetQueue() to make sure no job is left in any
  backends' queue.
- now AqBanking guarantees that after AB_ExecuteQueue is called no job is
  left in any queue
- now even less verbous about entered PIN
- fixed a bug in pin management (was allowing a bad pin to be entered in a
  second try)
- added I18N stuff, added German translation


===========================================================================
MARK: released AqBanking - 1.0.1beta (2005/01/22)
===========================================================================


2005/01/22: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- made AB_Banking_SetPinStatus and _SetTanStatus less verbous about the
  pin/tan
- fixed a bug in banking.c: Was saving status of all BUT bad pins


===========================================================================
MARK: released AqBanking - 1.0.0beta (2005/01/14)
===========================================================================


2005/01/14: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added functions AB_Banking_FindWizard() and AB_Banking_FindDebugger()
- marked function AB_Banking_GetWizardPath() deprecated
- SWIFT and DTAUS DBIO parser no longer work with splits, therefore I will 
  have to prepare AB_TRANSACTIONs before exporting them with the DTAUS parser.
- AB_ImExporterAccountInfo() now returns const objects


2005/01/13: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added splits to AB_TRANSACTION. This way we can fully import file formats
  which contain splits


2005/01/12: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- future version numbers always use a level of 3 (even if the patchlevel is 0)


===========================================================================
MARK: released AqBanking - 0.9.9 (2005/01/12)
===========================================================================


2005/01/12: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- now really fixed the bug I was hoping to have fixed on 2005/01/09


2005-01-11   Christian Stimming <stimming@tuhh.de>

	* aqbanking.spec.in: Add BuildRequires to ensure a sane rpm
	building environment.


2005/01/09: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug which could have occurred over year changes


2004/12/05: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed some bugs concerning UTF8/DTAUS/SWIFT/HBCI character set conversions
- bankinfo and provider plugins are now loaded using the GWEN_PLUGIN
  mechanism. Please note that all plugins will have to be adapted to this
  changes (AqHBCI already is). This needs the latest CVS version of GWEN.


2004/12/03: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added JobSingleDebitNote (still not supported by AqHBCI, that will
  follow)


2004/11/26: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added plugin for OpenHBCI1 config file (extracts transactions)
  Now importing transactions from an existing OpenHBCI1 config file
  works ;-)
  This change needs the latest Gwen CVS version (1.3.0.7)


2004/11/25: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added new CSV profile for AqMoney2 CSV files
- importing of AqMoney2 data now works !! ;-)


2004/11/23: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added properties to imexporter plugin descriptions ("import" and "export")
- added categories to AB_TRANSACTION
- removed account from AB_IMEXPORTER_ACCOUNTINFO (not needed)
- completed default profile for csv (export now works !! ;)


2004-11-22   Christian Stimming <stimming@tuhh.de>

	* src/plugins/bankinfo/de/de_p.h, de.c: Ifdef out when ktoblzcheck
	is not available.


2004/11/22: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added AB_BankInfoService (will extend the bank info code to include server
  settings for HBCI,  OFX, WebConnect etc)
  This needs the latest GWEN CVS version.
- extended API: Now AB_BANKINFO objects can be queried using templates.
  This allows to use any of the fields of a AB_BANKINFO object (except the
  service lists) for matching.
- bankinfo/de: now not only uses KtoBlzCheck, additionally uses the FinTS
  banklist file. This file also contains information about the HBCI version
  and servers.


2004/11/19: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added export-function to im/exporter
- started working on CSV exporter (needs latest Gwenhywfar CVS!)
- added new vars to im/exporter profiles: "import" and "export". These vars
  tell the application whether the profile can be used for import and/or
  export.


2004/11/18: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- parsers/swift/swift.c: 
  - fixed two bugs (spotted by Herbert.hbci@gmx.de, modified his patches):
    - removes artificial CR/LFs in :86: fields
    - now parses the last line of a SWIFT document
  - fixed loglevel (SWIFT log infos are no longer shown in red)
  - improved handling of umlauts in SWIFT documents (actually, SWIFT does not
    allow umlauts or any other special characters for that matter. However,
    banks send those character anyway, so we have to deal with them...
    This fix also handles English and French chars).


2004/11/05: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug spotted by Herbert Ellebruch


===========================================================================
MARK: released AqBanking - 0.9.8 (2004/11/02)
===========================================================================


2004-10-30  Christian Stimming  <stimming@tuhh.de>

	* aqbanking.spec.in: Added spec file for rpm creation.


2004/10/08: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added some user error codes


2004-10-03  Christian Stimming  <stimming@tuhh.de>

	* src/libs/aqbanking/banking.h: Added
	AB_Banking_SetPinCacheEnabled function to allow the application to
	choose between per-session-caching (default) and
	only-per-queue-execution caching. Note: Need to increment
	SO_REVISION and SO_AGE because of that.


===========================================================================
MARK: released AqBanking - 0.9.7 (2004/09/28)
===========================================================================


2004/09/27: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- jobGetTransactions: fromDate and toDate are now const arguments


===========================================================================
MARK: released AqBanking - 0.9.6 (2004/09/26)
===========================================================================


2004-09-25  Christian Stimming  <stimming@tuhh.de>

	* src/libs/aqbanking/types/value.c: When changing the locale,
	immediately copy the previous locale to a new buffer. Otherwise
	often enough the returned string which was static storage was no
	longer valid.

	* src/libs/aqbanking/banking.c: In any DelJob method, first check
	whether the name strings are non-NULL. Fixes crash when aborting
	the PIN dialog and still calling DelPendingJob afterwards.


2004/09/24: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a stupid bug in the code that reads a unique id


2004-09-24   Christian Stimming <stimming@tuhh.de>

	* src/libs/aqbanking/banking.c: Make the directory separator a
	macro so that correct paths are used on windows.

	* configure.ac: Introduce new AC_SUBST variable
	aqbanking_internal_libs that has the linker command without the
	lib directory.


2004/09/22: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added a GWEN_BufferedIO_Flush() to AB_Banking_GetUniqueId()
- AB_Banking__OpenFile: if error upon fcntl is ENOLCK it will be ignored.
  This is because locking is not supported on NFS files systems.


===========================================================================
MARK: released AqBanking - 0.9.5 (2004/09/19)
===========================================================================


2004/09/19: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- OFX importer: now stores check number and some other additional OFX fields
- parsers: now all parsers create UTF-8 data (surprisingly banks send SWIFT
  data which contains German umlauts)


2004/09/18: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- changed type of uniqueId in AB_Transaction
- added element FiId to transaction
- dropped country codes from transactions
- added elements localBranchId and remoteBranchId (for OFX)
- transactions handed over to JobGetTransaction get assigned a unique transfer
  id


2004/09/17: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added function AB_Banking_EnqueuePendingJobs()


2004/09/15: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added a note about the encodings used (UTF-8)
- consequent usage of UTF-8 in importer/exporter and parser plugins
- fixed a bug in SWIFT importer
- added error code AB_ERROR_ABORTED


===========================================================================
MARK: released AqBanking - 0.9.4 (2004/09/15)
===========================================================================


2004/09/15: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- clarified documentation for the virtual user interaction functions regarding
  the code set to be used (and how to use HTML in the text)


2004/09/14: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed a bug (was falsely reporting a backend as active when in fact
  it wasn't)
- added OFX importer
- improved safety of unique id (it is now read from a file and written back 
  direclty after increment)
- the user data dir (normally $HOME/.banking) can now be set in the
  configuration file (but you should not that. Anyway, for very special 
  occasions - and I currently can't think of any - this might be usefull).
  This function has been added reluctantly on request.


2004/09/13: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- ImExporter API: added function to make an importer plugin check whether
  it supports a given file as data source
- replaced im/exporter DBIO by DTAUS and SWIFT


2004-09-10   Christian Stimming <stimming@tuhh.de>

	* configure.ac: Add ACX_WINDOWS_PATHS. Add dll rules all over the
	place.


===========================================================================
MARK: released AqBanking - 0.9.3 (2004/09/10)
===========================================================================


2004/09/09: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- banking: added functions which make it easier to retrieve the PIN or
  TAN for a given medium. These functions - if not overloaded - just
  use AB_Banking_InputBox() to get the pin/tan.
  These functions also keep track of the status of a pin. So if the
  backend requesting a pin plays along the built-in pin manager is able
  to take care of the pin status (e.g. refusing to return a PIN which is
  already known as being "bad"). This will facilitate building non-interactive
  programs.
  The PIN will be stored internally and returned for all following calls
  to the PIN getter function until the program is terminated. The PIN is
  not stored in a file. However, if the PIN has been marked as "bad" then
  an entry in the config-file is made. This entry consist of a name derived
  from the token and the value of the pin (concatenated and RMD160-hashed)
  and the status (only "bad" pins are saved since even if decoded they would
  be useless).
- changed the path for application and backend data in jobs (so that both
  types cannot interfere with each other)
- added support for account/bank checkers: the first country for which such
  a checker is available is "de" (Germany) using KtoBlzCheck.


2004/09/07: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- improved saving of backend data upon AB_Banking_Fini()
- added plugins for DTAUS and SWIFT (taken from AqHBCI)
- added AB_Banking_Save() on Christian's account


2004/09/03: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added missing checks to configure.ac (setlocale, locale.h)


2004-09-03   Christian Stimming <stimming@tuhh.de>

	* src/libs/aqbanking/types/transaction.c: include config.h was
	missing, so update the generated code to the current typemaker's
	output.


===========================================================================
MARK: released AqBanking - 0.9.2 (2004/09/02)
===========================================================================


2004/09/02: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- prepared next release (revised API, additional high level API, bugfixes etc)
- AqBanking now works with KMyMoney


2004/08/30: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added conveniance functions to importer/exporter


2004/08/29: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- Valgrind-Session: fixed some memory leaks
- added application level API which should make it easier to add support for
  AqBanking to existing applications


2004/08/27: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added some lines to README


2004/08/26: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added two new queues: "deferred" and "archived".
  Jobs deleted from the "finished" queue are now stored in the "archived"
  directory.
  Jobs which have already been enqueued but not executed can now be
  deferred thus allowing to hold back some jobs without needing to remove
  them completely. You can later re-enqueue those jobs.


2004/08/25: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- changed the way AqBanking saves application/backend data, better data
  separation (as needed when temporarily shutting down a backend while
  setting it up with a wizard)
  -> previous configuration data gets lost with this change !!


2004/08/24: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- simplified importer/exporter framework: now an importer does no longer
  have to sort imported transactions by days. This must now be done inside
  an application, because sometimes this needs user interaction which is out
  of the scope of AqBanking
- fixed some bugs (e.g. was not using the data folder set bei ./configure)


2004/08/23: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added a generic import/export framework. This can be used to import
  any kind of financial file formats into AqBanking suitable data (like
  AB_TRANSACTION, AB_ACCOUNT etc).
- added AB_Banking_GetImExporterProfiles(). This function loads all profiles
  for an importer/exporter.


2004/08/22: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- AB_JOB: added functions which allow applications and backends to store
  specific data to a GWEN_DB within a job
- application names are now internally escaped to avoid security risks (since
  the application name is used to create file paths)
- application specific banking data is now stored in one file per application.
  This removes the need of loading the data for all applications on startup.
  Now only the data of the running application is loaded (in the long run
  this should keep the startup time short)
- boosted version to 0.9, since about 90 percent of the planned features
  are implemented
- provider names are now also escaped
- removed the import-transactions function from provider, this will be later
  added to a new function class which handled importing and exporting of
  AqBanking data


2004/08/21: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added currency to AB_ACCOUNT
- added functions to transaction which allows to clear purpose and remote
  name lists
- removed API-inconsistencies: since all *_fromSomething" functions basically
  are constructors they start with a lowercase letter after the prefixes
  (like in AB_Value_fromString() as in AB_Value_new()).


2004-08-21  Christian Stimming  <stimming@tuhh.de>

	* src/libs/aqbanking/banking.h: Add AB_Banking_GetUserData and
	AB_Banking_SetUserData to pass data to the callbacks.


2004/08/20: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- created new LogDomain "aqbanking" (needs current Gwen CVS, though)


2004/08/19: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- changed the constructors for the getTransactions job
- added JOBSingleTransfer (performs a single transfer as you might have 
  guessed ;-)


2004/08/18: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- banking.c: 
  - changed loading of job queues. They are now stored one file per job in 
    special folders:
    - "todo"    : enqueued jobs
    - "finished": finished jobs (moved to there from "todo")
    - "pending" : pending jobs (moved to there from "todo")


2004/08/15: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- created new header files for backend development (contain prototypes
  for functions which are only to be used by the library itself and
  backends. Might be published in special RPMs especially dedicated to
  backend development).
- added AB_Transaction_fromDb() and AB_Transaction_toDb()
- AB_Banking_GetProvider: initialize the provider after loading it


2004/08/14: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- added AB_Transaction_dup()
- added functions which allow the library to completely load jobs from
  a db (improves the previous job loading features)
- started implementing JOBGetTransactions


===========================================================================
MARK: released aqbanking-0.1.2alpha (2004/08/13)
===========================================================================


2004-08-13   Christian Stimming <stimming@tuhh.de>

	* src/libs/aqbanking++/aqbankingpp.vcproj: Add project file for
	compiling aqbanking++ with Microsoft Visual Studio C++ (MSVC)
	compiler.


2004/08/12: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- aqbanking:
  - removed AB_ProviderWizard. A Wizard is now a stand-alone executable so 
    there is no need for dynamically loading a module
  - banking: 
    - added functions which allow to temporarily suspend backends. This
      is needed while a setup wizard is executed
    - made some functions private to AqBanking
    - added AB_Banking_GetWizardPath() which returns the folder where 
      executable wizards for a given backend are located
  - provider: added functions to init and deinit backends
- aqbanking++: removed provider files, because the ProviderWizard no longer
  exists



===========================================================================
MARK: released aqbanking-0.1.1alpha (2004/08/11)
===========================================================================



2004-08-10   Christian Stimming <stimming@tuhh.de>

	* src/libs/aqbanking/*.h: Add AQBANKING_API to all function
	declarations.
	
	* src/libs/aqbanking/error.h: Add declaration of
	__declspec(dllimport/export) macro AQBANKING_API, depending on
	BUILDING_AQBANKING_DLL.


2004/08/09: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- declared UI methods in AB::Banking public
- added a flags parameter to AB_Banking_ShowBox()
- adapted to latest changes in Gwen


2004/08/06: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- aqbanking++: added class for ProviderWizards
- fixed some bugs
- launching a wizard now works !!! ;-)
  I will have to concentrate now on the kde_wizard for AqHBCI to allow people
  to later move over to AqHBCI/AqBanking ;-)


2004-08-02   Christian Stimming <stimming@tuhh.de>

	* many headers: Remove trailing semicolon from macro calls as
	required by ISO C89.

	
2004/08/05: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- fixed some bugs, added some functions to AB_JOB


2004/08/04: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- completed API documentation for AB_BANKING
- fixed AB_Transaction (was missing textkey)


2004/08/03: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- banking/banking.{c,h}: AB_Banking_MessageBox: Just figured out that for 
    non-interactive frontends there is more information to be supplied. 
    I also reordered the arguments so that they look like those of 
    AB_Banking_InputBox.


2004-08-02   Christian Stimming <stimming@tuhh.de>

	* src/libs/aqbanking/Makefile.am,
	src/libs/aqbanking/ressource.rc.in, configure.ac: Add build rules
	for windows DLL, copied from gwenhywfar.


2004/08/02: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- very much improved generation of API doc. In combination with the
  changes in my other projects the new target "install-srcdoc" now
  creates combined API docs (e.g. API doc for AqBanking now links to
  that of Gwenhywfar etc)
- now uses gwen's new tool mklistdoc to generate list documentation suitable
  for doxygen. Needs the latest CVS version of Gwen.


2004/08/01: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- adapted to latest changes in AqHBCI and Gwen.
- fixed some bugs


2004/07/31: Martin Preuss<martin@libchipcard.de>
-------------------------------------------------
- improved configure.ac
- added c++ binding
- cleaned up the code, moved some functions to private headers
- started with APIDOC



-----------------------------------------------------------------------------
Below are some templates to be copied to the top of this file when needed.

- API version modifications

  -------------- REMINDER PLEASE KEEP ON TOP UNTIL RELEASE----------------
  !     remember to do SO_CURRENT++ and SO_AGE++ before next release     !
  ------------------------------------------------------------------------

